#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xab3fa018, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x178e47ab, "");
SYMBOL_CRC(__bcma_driver_register, 0x4a8ce414, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xf0f545b4, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x24848f04, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xa0316c89, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x7fe3dd4a, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x0f2e033a, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x5ea1747e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xfa19ab19, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x7037f0dc, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xe7f6ba4d, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x33b43821, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x8afea894, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x04c3f179, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xdc4eb9cf, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x83481239, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x59bc73e2, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x050837f4, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xd1608a45, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x614790dc, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x4471c69c, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xa557b832, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x47df7bd2, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x724cf140, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x7c666a62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8ccd9454, "pci_enable_device" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0x2c26678, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2e68b530, "of_address_to_resource" },
	{ 0x3eb6d06f, "device_unregister" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x3998810c, "of_platform_default_populate" },
	{ 0x1735593b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x49924c6c, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x529501f1, "of_irq_parse_one" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0x508b4d9f, "pci_unregister_driver" },
	{ 0x7acad794, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xa5918731, "of_irq_parse_raw" },
	{ 0x2032c920, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddcfa9a, "put_device" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xcb50a6cc, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xe3ead6ca, "device_add" },
	{ 0xf8c7b19a, "platform_device_unregister" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8ca6ef87, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb7037f5b, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x4edbb35d, "pci_set_master" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x1f54fb32, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15486428, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eabf368, "platform_device_register_full" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x31c9ea7e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76b313b9, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xb9f363c2, "pcie_set_readrq" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x7df95853, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x867fa59f, "of_dma_configure_id" },
	{ 0x3605489c, "driver_register" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x78817743, "__dev_fwnode" },
	{ 0x15e7278c, "pci_write_config_dword" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
