#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xbb3d2362, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x53a5b37d, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x2b08fa34, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xe62b90e5, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x04b85819, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xfb07d724, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x9d066761, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xcfc8251d, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xd93e85a7, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x4b461ac1, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x15ddffc4, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xcf909217, "_gpl");
SYMBOL_CRC(mhi_notify, 0xa73aeb34, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x528e2feb, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x94b6ae0a, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x805d4400, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x2f7f5c1d, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x772cc547, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xafbe20ed, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xa26a3f39, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x27efb8bf, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xb04defd1, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x6611bd59, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3c1888d2, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xa44eda4d, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x97efe5fb, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x3fd541e3, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x083ade24, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xa82216f4, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x4991c1c8, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xb1caa74e, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xc1314938, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x01bbca12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xad78a57d, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x56623322, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0x89e9048c, "dma_unmap_page_attrs" },
	{ 0xbc53e9c0, "request_firmware" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcfe2d26a, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5f1c49d, "dev_driver_string" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x96340c7c, "dma_map_page_attrs" },
	{ 0xc086db8, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddcfa9a, "put_device" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0xf9a40a0c, "sysfs_remove_file_ns" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0x76ca5905, "_dev_err" },
	{ 0x6c4cf63f, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe3ead6ca, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x32f0b3d4, "dma_alloc_attrs" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa7155622, "ida_free" },
	{ 0x8ca6ef87, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xebdcfbc3, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x27feda88, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3605489c, "driver_register" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5C0FBC95C3E35B2E08B2E04");
MODULE_INFO(rhelversion, "9.6");
