#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xf9f021df, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x3a926a42, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xc6c9dbe3, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xbfaecf6f, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x485d6aa5, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x0088fd83, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x0b906f24, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xacfc014f, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xf8e70c2a, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x1db7ace6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x9715a7ee, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x34cb2671, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x53ea4933, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x863d1dd4, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x68604365, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x39ac8ec0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x538177a1, "vmf_insert_pfn" },
	{ 0x8af757de, "ww_mutex_lock_interruptible" },
	{ 0xbd9d9cb7, "drm_gem_get_pages" },
	{ 0x607fbc4a, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x67f3cce4, "invalidate_mapping_pages" },
	{ 0xce09c0eb, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x687b0bb7, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x6ad1045a, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xabb93b1a, "drm_gem_create_mmap_offset" },
	{ 0x926fbefa, "drm_gem_object_init" },
	{ 0x5f1c49d, "dev_driver_string" },
	{ 0xaf5cc0d2, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9204861b, "drm_gem_vm_close" },
	{ 0xd3ae07bc, "drm_gem_vm_open" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0x59c49e64, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc67de29d, "ww_mutex_lock" },
	{ 0x19b17d9, "vmap" },
	{ 0x87d2dc, "drm_gem_handle_create" },
	{ 0xf8c78bac, "__drm_dev_dbg" },
	{ 0x69b7075, "drm_prime_pages_to_sg" },
	{ 0xdaddc38a, "dma_buf_vunmap" },
	{ 0xcabf12b2, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x218111d6, "dma_map_sgtable" },
	{ 0xb800b27, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x522148a4, "dma_unmap_sg_attrs" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x3e968983, "drm_gem_put_pages" },
	{ 0x5edf2dcc, "drm_gem_private_object_fini" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x310af0f, "drm_prime_gem_destroy" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
