#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x08fe9008, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x9ec11932, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x7a70cf50, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x4e77a76c, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x9155f70d, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xb66534fd, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xef0fcbfc, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xb82bf213, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xb9076d26, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xbfa2544f, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x1675df92, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xf2e7c016, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xa93c2912, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xc0f5c67e, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x44fc3808, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0xda767964, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x36b252ad, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x2e14e1fe, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x44ace9e2, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x20633ac6, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xda61859d, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x87bae485, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x26ffa0aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18f2e11e, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x87888a20, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0xc035b794, "misc_deregister" },
	{ 0xecd6a04a, "iommu_device_claim_dma_owner" },
	{ 0xb4e1388, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd313fa57, "iommu_group_get" },
	{ 0x944b66be, "pin_user_pages_remote" },
	{ 0x25c48a9e, "iommu_iova_to_phys" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0xfac23890, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x512b54df, "fget" },
	{ 0x39cded13, "__put_task_struct" },
	{ 0x9b2adbc0, "__xas_next" },
	{ 0x8654528a, "xas_find" },
	{ 0x23392d95, "iommu_dev_disable_feature" },
	{ 0x79a1b8ce, "unpin_user_pages" },
	{ 0x4a73fe93, "fd_install" },
	{ 0x38ab0ca, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2840a73a, "unpin_user_page_range_dirty_lock" },
	{ 0x3d240aef, "__account_locked_vm" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xa6c9a5fa, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xa01581f4, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x684c13e4, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xead38bd3, "iommu_detach_group" },
	{ 0xa90f2a5f, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xcf1282e9, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x14d3523a, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x77d54a2f, "fput" },
	{ 0xb1963da8, "down_write" },
	{ 0xa15d1bc3, "iommu_domain_free" },
	{ 0x498a5a4a, "up_write" },
	{ 0xce6b6c8a, "iommu_get_msi_cookie" },
	{ 0x56dcdebc, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x467678c3, "iommu_unmap" },
	{ 0x484b360d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3aa3fb9b, "xas_load" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf98f2bdf, "iommu_attach_handle_get" },
	{ 0xd768070e, "iommu_replace_group_handle" },
	{ 0xcf2a0bcb, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0xf22e7abb, "misc_register" },
	{ 0x32d0a5d8, "unpin_user_page" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xbc2f8bc4, "iommu_put_resv_regions" },
	{ 0xd443e8c8, "down_read" },
	{ 0xddd98ad5, "__mmdrop" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xd0045d72, "__xa_cmpxchg" },
	{ 0xfe0c16aa, "nonseekable_open" },
	{ 0x1cab6640, "xa_erase" },
	{ 0xbe0093ff, "__mmap_lock_do_trace_start_locking" },
	{ 0xafdea2df, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a53ac98, "mmput" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x762efd57, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0xeb274f4a, "__mmap_lock_do_trace_released" },
	{ 0x25307ce, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaf0b55ba, "set_page_dirty_lock" },
	{ 0x6f7c5a6d, "device_iommu_capable" },
	{ 0x3e33f03f, "xas_nomem" },
	{ 0xd9b8fc64, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaacb117d, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0xd6721506, "iommu_attach_group_handle" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xcf23fad7, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd712f4c, "pci_bus_type" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D06B1E82DC103F08D455125");
MODULE_INFO(rhelversion, "9.6");
