#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x3e1fb256, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xd6975329, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xd10f3741, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x63df5626, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x37ff76a9, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x9119cc07, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4cd32d5, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xb10e99a5, "xsk_tx_completed" },
	{ 0x6f570c2e, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbf1ea380, "xp_alloc" },
	{ 0xe54f5ffd, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcd0672a1, "bpf_prog_put" },
	{ 0xad78a57d, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x506564af, "xp_dma_map" },
	{ 0x831a3269, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x8dfb259d, "eth_mac_addr" },
	{ 0x1f40195f, "skb_put" },
	{ 0x9d1a81d7, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd75b482b, "netdev_update_features" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xb0054316, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xafeddd1a, "hrtimer_try_to_cancel" },
	{ 0xfaa76486, "bpf_warn_invalid_xdp_action" },
	{ 0xe3129c3f, "unregister_netdev" },
	{ 0xebbbe302, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe7928878, "xdp_features_set_redirect_target" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x3d0b7075, "gpiod_set_value_cansleep" },
	{ 0x89e9048c, "dma_unmap_page_attrs" },
	{ 0x19c64820, "hrtimer_init" },
	{ 0xb269643e, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x64c6c458, "ptp_clock_index" },
	{ 0x1c013ef7, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0xef9b6bf0, "page_pool_destroy" },
	{ 0x859f758, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3115d7c6, "netdev_warn" },
	{ 0xfae9654f, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x53c5db98, "flow_rule_match_ipv4_addrs" },
	{ 0xdaf47aa6, "xdp_rxq_info_unreg_mem_model" },
	{ 0xd4560c4d, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf931feaf, "netdev_err" },
	{ 0x909ff837, "phylink_limit_mac_speed" },
	{ 0x5c16942a, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x5f1c49d, "dev_driver_string" },
	{ 0xda0012c7, "pinctrl_pm_select_default_state" },
	{ 0x77bd058d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd64befd3, "eth_type_trans" },
	{ 0xa1d4ad49, "__pm_runtime_set_status" },
	{ 0x96340c7c, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x884c7fed, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x49c3c069, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc086db8, "pm_wakeup_dev_event" },
	{ 0x50ec1a4d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x86e94ebf, "__napi_schedule" },
	{ 0x591f79d2, "pm_runtime_enable" },
	{ 0xf08cd6ec, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xe2f14daf, "netif_device_detach" },
	{ 0x374ee093, "device_property_read_u32_array" },
	{ 0xd6aec09, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xcd64042e, "xpcs_create_mdiodev" },
	{ 0x184ae535, "napi_gro_receive" },
	{ 0x4712f475, "netif_device_attach" },
	{ 0xe991858f, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x90b70a4c, "netdev_pick_tx" },
	{ 0x5c2e7c8b, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdbc1d9c4, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcf0268a3, "xdp_rxq_info_is_reg" },
	{ 0x4ec08104, "devm_alloc_etherdev_mqs" },
	{ 0xe03c001f, "flow_block_cb_setup_simple" },
	{ 0x305ea6c7, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x3fa5686d, "dev_open" },
	{ 0xa720c0c8, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xeff0af0c, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xaba11b1d, "pinctrl_pm_select_sleep_state" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaa85ceef, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa74d0044, "ptp_clock_register" },
	{ 0x1fdb24e0, "xsk_tx_peek_desc" },
	{ 0x95e07f23, "__of_mdiobus_register" },
	{ 0xd56898a8, "__traceiter_xdp_exception" },
	{ 0x61d61588, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8f021c8d, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8075a4de, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x32f0b3d4, "dma_alloc_attrs" },
	{ 0x9c231734, "debugfs_remove" },
	{ 0x6d305b07, "napi_enable" },
	{ 0x4eed8012, "xsk_clear_rx_need_wakeup" },
	{ 0x281a8e59, "xpcs_get_interfaces" },
	{ 0x759fc48a, "xsk_uses_need_wakeup" },
	{ 0x28d9f57c, "register_netdev" },
	{ 0xac6fd48e, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x156b4b31, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x10a9fc69, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xf1ad483c, "netif_tx_wake_queue" },
	{ 0x95859cd5, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb71c740d, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x67b0cf62, "flow_rule_match_ports" },
	{ 0xdac4e346, "phylink_fwnode_phy_connect" },
	{ 0xa805aa1f, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfc06fedc, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xc1244b67, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4b787c46, "fwnode_get_named_child_node" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x5d5ea203, "ptp_clock_unregister" },
	{ 0xc8c2936a, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x1b6014a0, "xpcs_get_an_mode" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf908b362, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x824eb150, "xdp_return_frame_rx_napi" },
	{ 0xc512dafd, "netdev_alert" },
	{ 0x49eb0d25, "dma_set_coherent_mask" },
	{ 0x30ab494e, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbfb0b04b, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x2f0b82e9, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x328dba0c, "debugfs_create_file" },
	{ 0x941394e6, "xsk_set_tx_need_wakeup" },
	{ 0x27feda88, "dma_free_attrs" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8bafc76d, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f3f95bd, "xp_set_rxq_info" },
	{ 0x47f130f4, "flow_rule_match_vlan" },
	{ 0x77f4ded2, "xdp_rxq_info_unreg" },
	{ 0xdc9c83e4, "page_pool_alloc_pages" },
	{ 0x6d3d75c9, "__xdp_rxq_info_reg" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x94c339c0, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa638d727, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc06af352, "xp_free" },
	{ 0x31bd5a81, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb33f7290, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xc12fd61e, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x105db63b, "xdp_master_redirect" },
	{ 0x54ea6b0e, "fwnode_handle_put" },
	{ 0x5e0017c3, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x19282c4f, "napi_schedule_prep" },
	{ 0x8c36622b, "napi_disable" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x5bb6d61f, "eth_header_parse_protocol" },
	{ 0xfec013f9, "param_ops_int" },
	{ 0xe0d4f25d, "single_open" },
	{ 0xae004620, "__pm_runtime_disable" },
	{ 0x491cc6f4, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe6978daf, "skb_clone_tx_timestamp" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x28c0ee52, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfcef6212, "ethtool_op_get_ts_info" },
	{ 0xfbb614ac, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x78817743, "__dev_fwnode" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x7932d1ef, "netdev_info" },
	{ 0xc06a840a, "page_pool_put_unrefed_page" },
	{ 0xeb4a94c3, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "7182F11C86F90D684550414");
MODULE_INFO(rhelversion, "9.6");
