#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xafb38bbf, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xb1b8a392, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x961767db, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xab63487e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c8d3f7d, "ether_setup" },
	{ 0xff1b0500, "__ethtool_get_link_ksettings" },
	{ 0x1d914a7e, "ethtool_get_ts_info_by_layer" },
	{ 0x1260b8a3, "init_net" },
	{ 0x9bd103e7, "generic_hwtstamp_set_lower" },
	{ 0xa684d2a6, "generic_hwtstamp_get_lower" },
	{ 0x49888cec, "dev_mc_del" },
	{ 0xb068b840, "dev_uc_del" },
	{ 0xda0a9df3, "dev_mc_add_excl" },
	{ 0x7c080ac6, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x55814cc6, "vlan_vid_del" },
	{ 0x1836e640, "vlan_vid_add" },
	{ 0xa3bf865e, "dev_set_allmulti" },
	{ 0xfa63c286, "dev_set_promiscuity" },
	{ 0xcd4ea0d1, "dev_uc_unsync" },
	{ 0x12d7af26, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xca5e2eaa, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf4675f9a, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb46d079, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xd8c05c8d, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7157095, "dev_uc_add" },
	{ 0xa5fb2e33, "dev_set_mac_address" },
	{ 0xeae654d9, "call_netdevice_notifiers" },
	{ 0xf0bb8a9e, "netif_inherit_tso_max" },
	{ 0xd75b482b, "netdev_update_features" },
	{ 0xf1f72cbb, "netif_stacked_transfer_operstate" },
	{ 0xc2afa3af, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x118fed8, "unregister_netdevice_queue" },
	{ 0x178aaf71, "netdev_upper_dev_unlink" },
	{ 0xc720d614, "dev_uc_sync" },
	{ 0x9ecb1588, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3e754642, "skb_clone" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7de0c602, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b119a85, "consume_skb" },
	{ 0x802fe3f, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb71fd6e7, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x468af004, "register_netdevice" },
	{ 0x4d331521, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb3c96c0e, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ad71c8, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc6402973, "__netif_rx" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x773c9445, "dev_forward_skb" },
	{ 0xfa2c2a17, "ip_check_defrag" },
	{ 0xfe07fced, "passthru_features_check" },
	{ 0x5bc7dba, "eth_validate_addr" },
	{ 0x4ea8b3df, "ndo_dflt_fdb_dump" },
	{ 0x38e3659c, "eth_header_parse" },
	{ 0xa0138dd1, "eth_header_cache" },
	{ 0x9a8a44cb, "eth_header_cache_update" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
