#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xdfa942f7, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x4e941979, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x73b40f36, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x190c3211, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x5312c792, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xfb386b51, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x5191e9bd, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xd7ed7d84, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xdda3d4be, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x92db056f, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x22ecc07a, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x58e8cc45, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xc3319d30, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xe22bdcb2, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x363358c4, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x90bd7fc6, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x6ba85e76, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x99676dce, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xb73116bb, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x7b52f247, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x8d3e65e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66e3fa06, "mdiobus_write" },
	{ 0x326470db, "mdiobus_read" },
	{ 0x29baf6b6, "phy_write_mmd" },
	{ 0x2f9995e9, "phy_modify" },
	{ 0x2913842d, "phy_trigger_machine" },
	{ 0xa34540a9, "phy_error" },
	{ 0xa979af68, "phy_modify_changed" },
	{ 0x60ea4ac4, "genphy_update_link" },
	{ 0x4870da83, "genphy_read_lpa" },
	{ 0x71f3d001, "phy_resolve_aneg_pause" },
	{ 0x85b62195, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xc5acbc01, "phy_read_mmd" },
	{ 0x864919ad, "ethnl_cable_test_result_with_src" },
	{ 0xa19af80d, "ethnl_cable_test_fault_length_with_src" },
	{ 0xa3ca0d8d, "phy_modify_mmd" },
	{ 0x3d55e7a7, "genphy_soft_reset" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
