#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x6575f2f4, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x0f01279e, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x6dd1d477, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x90eb7ff8, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xe916d0be, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x86ff35c6, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x8f71bccb, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x6e0cb3ac, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x6c338816, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xabd5ed63, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xa2a3af74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5a1c61a0, "brcmu_pktq_mlen" },
	{ 0xd280be29, "cfg80211_sched_scan_results" },
	{ 0xf67aaaab, "sdio_retune_hold_now" },
	{ 0x2c95a964, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2ecf6c1d, "usb_alloc_urb" },
	{ 0x8a69daab, "sdio_disable_func" },
	{ 0xf63fdb1f, "cfg80211_mgmt_tx_status_ext" },
	{ 0xe54f5ffd, "device_set_wakeup_enable" },
	{ 0xc036201, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f34afcd, "sdio_set_block_size" },
	{ 0x37ea6afe, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xab43cb66, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x8ccd9454, "pci_enable_device" },
	{ 0x1f40195f, "skb_put" },
	{ 0xb0b90f0a, "brcmu_pkt_buf_free_skb" },
	{ 0x419f89c0, "of_property_read_variable_u32_array" },
	{ 0x86b7ba3f, "sdio_retune_crc_disable" },
	{ 0x9c65c69a, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b17107, "firmware_request_nowarn" },
	{ 0x6c47c85, "platform_driver_unregister" },
	{ 0x50165bbc, "sdio_claim_host" },
	{ 0xc496fcbc, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7e176ad5, "sdio_memcpy_fromio" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xdabdd137, "sdio_register_driver" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe3129c3f, "unregister_netdev" },
	{ 0x9ca6dc79, "cfg80211_remain_on_channel_expired" },
	{ 0xa47a1648, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0x6e5a4444, "cfg80211_register_netdevice" },
	{ 0x89e9048c, "dma_unmap_page_attrs" },
	{ 0xbc53e9c0, "request_firmware" },
	{ 0xe7ef78c0, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x1735593b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x352417c6, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x4c4b6439, "cfg80211_port_authorized" },
	{ 0xb7ca52b3, "brcmu_pktq_init" },
	{ 0x942e30cd, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0x18145872, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0x23775cb3, "cfg80211_new_sta" },
	{ 0x529501f1, "of_irq_parse_one" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x7a9ed18c, "cfg80211_disconnected" },
	{ 0x3c8d3f7d, "ether_setup" },
	{ 0x508b4d9f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa3c1a67b, "of_get_property" },
	{ 0x31a68c00, "pskb_expand_head" },
	{ 0x19fec920, "wake_up_process" },
	{ 0x5f1c49d, "dev_driver_string" },
	{ 0x9d4745f5, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xd64befd3, "eth_type_trans" },
	{ 0x7acad794, "pci_read_config_dword" },
	{ 0x96340c7c, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1c5f003, "alloc_netdev_mqs" },
	{ 0x73d2eda4, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xefbcdc57, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd35edf2e, "devm_kstrdup" },
	{ 0x3bd9a57d, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a1bb920, "sdio_release_irq" },
	{ 0x61eb427e, "cfg80211_crit_proto_stopped" },
	{ 0xe392ac0b, "wiphy_register" },
	{ 0xf39ee6e0, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb39a77ef, "cfg80211_put_bss" },
	{ 0x59c8a97d, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x42953aa3, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xc2d7f148, "of_get_mac_address" },
	{ 0xf1b6c15a, "skb_queue_tail" },
	{ 0x1e7f84f4, "ieee80211_get_channel_khz" },
	{ 0x443c289a, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1ace50a4, "sdio_set_host_pm_flags" },
	{ 0xa4a0adf1, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xee52ed0e, "sdio_unregister_driver" },
	{ 0xc0a33c5a, "sdio_readsb" },
	{ 0xd8ca9cab, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3b570d7b, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0x76ca5905, "_dev_err" },
	{ 0x6c4cf63f, "device_wakeup_enable" },
	{ 0x145d3254, "cfg80211_ibss_joined" },
	{ 0xe5f13bbf, "request_firmware_nowait" },
	{ 0x19c938e, "simple_open" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6845067f, "irq_get_irq_data" },
	{ 0x460b40d4, "wiphy_apply_custom_regulatory" },
	{ 0x4f44bb11, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8677231, "skb_push" },
	{ 0x4cdc8d9e, "sdio_retune_crc_enable" },
	{ 0xb1676e0, "brcmu_pktq_flush" },
	{ 0x294f52fe, "brcmu_pktq_peek_tail" },
	{ 0x32f0b3d4, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x2a1a6ce5, "cfg80211_del_sta_sinfo" },
	{ 0x6c3694ec, "sdio_readl" },
	{ 0x3f6bcef4, "mmc_set_data_timeout" },
	{ 0xf00a075f, "nla_put" },
	{ 0x28d9f57c, "register_netdev" },
	{ 0xf8625aab, "wiphy_unregister" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf2f7e944, "of_property_read_string" },
	{ 0xa49bb775, "wiphy_read_of_freq_limits" },
	{ 0xf8d808a5, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc28cd31f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xec8063b, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x49c100a9, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf1ad483c, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x6d9a9ca2, "brcmu_pktq_pdeq_match" },
	{ 0xb5e9dc57, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x52caf2b2, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4edbb35d, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x1a536fd5, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe4fb2979, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc859b77c, "skb_unlink" },
	{ 0xc60210a1, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa50df129, "kthread_create_on_node" },
	{ 0xfa591bb3, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0027368, "pm_runtime_forbid" },
	{ 0x328dba0c, "debugfs_create_file" },
	{ 0x1962d226, "brcmu_pktq_mdeq" },
	{ 0xcca52788, "cfg80211_unregister_wdev" },
	{ 0x6ba99c4c, "pci_pme_capable" },
	{ 0x5524b96f, "brcmu_pktq_penq" },
	{ 0x27feda88, "dma_free_attrs" },
	{ 0xdbc3e04b, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x60b8d260, "__platform_driver_probe" },
	{ 0x25fe3e0c, "of_device_is_compatible" },
	{ 0xecb76cdc, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0xaae8a76a, "usb_autopm_get_interface" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x5e6555da, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1b283e24, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x7c905fa7, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0x94504f08, "brcmu_pkt_buf_get_skb" },
	{ 0x721c91ca, "mmc_hw_reset" },
	{ 0x9f2d845f, "sdio_retune_release" },
	{ 0xfec2a664, "sdio_claim_irq" },
	{ 0xcc47d987, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x76b313b9, "pci_disable_device" },
	{ 0x3f045e5e, "pci_match_id" },
	{ 0x892aa88d, "sdio_enable_func" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5d104712, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xd3bae1e3, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xca1ce2a1, "cfg80211_inform_bss_data" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x7df95853, "irq_create_of_mapping" },
	{ 0x5418c4a3, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0xfec013f9, "param_ops_int" },
	{ 0x253ce5a8, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x84afd90f, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xf1cdbc5b, "wiphy_free" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x32f5d837, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6f4e4c18, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15e7278c, "pci_write_config_dword" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcfa04eac, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8fe4b3e0, "sdio_readb" },
	{ 0x2944ebd2, "sdio_writeb" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CAB44B67EBCB4CD3858D7ED");
MODULE_INFO(rhelversion, "9.6");
