#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xbdf49ff1, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xdab2ecdc, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x767e5fc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fb5b377, "device_property_present" },
	{ 0x20b8716d, "usb_hcd_platform_shutdown" },
	{ 0x37ea6afe, "is_acpi_device_node" },
	{ 0xdbaffc71, "of_fwnode_ops" },
	{ 0xad78a57d, "device_set_wakeup_capable" },
	{ 0x54fe5f90, "xhci_suspend" },
	{ 0xfed08263, "devm_platform_get_and_ioremap_resource" },
	{ 0x6c47c85, "platform_driver_unregister" },
	{ 0x3dbad1a8, "platform_get_irq" },
	{ 0x8d506598, "xhci_gen_setup" },
	{ 0x16b28103, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xcd7f2c78, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xcffdad50, "devm_reset_control_array_get" },
	{ 0xa1d4ad49, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x591f79d2, "pm_runtime_enable" },
	{ 0x374ee093, "device_property_read_u32_array" },
	{ 0x313cb787, "of_match_device" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xf53b3790, "xhci_resume" },
	{ 0x4e771ca1, "xhci_run" },
	{ 0x95cac169, "usb_hcd_is_primary_hcd" },
	{ 0x92f1bc97, "xhci_init_driver" },
	{ 0x6188f03f, "usb_put_hcd" },
	{ 0xf563b0c1, "__platform_driver_register" },
	{ 0x49eb0d25, "dma_set_coherent_mask" },
	{ 0x3eeddcbf, "devm_clk_get_optional" },
	{ 0xf0027368, "pm_runtime_forbid" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b3af1c9, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb33f7290, "dma_set_mask" },
	{ 0xc1f83e53, "usb_remove_hcd" },
	{ 0x9a687332, "of_device_get_match_data" },
	{ 0xae004620, "__pm_runtime_disable" },
	{ 0x8bf6fe34, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd712f4c, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "866418C115CFC70FB6F183B");
MODULE_INFO(rhelversion, "9.6");
