#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x2be0e013, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x77be1107, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x4c44b9e7, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x92231bd2, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xc829b8c1, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x9cbcdda4, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x273552d5, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x274b1c4a, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xa5ca1d0b, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x72aacd7a, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xbafddd2b, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x1bb6c4f1, "");
SYMBOL_CRC(vfio_unpin_pages, 0x0ed33b6b, "");
SYMBOL_CRC(vfio_dma_rw, 0x8fea4ae1, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xd0ae87e3, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xd5973f40, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xd56f7f3c, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x7affb54f, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x062a76a8, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x559401c4, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x67dc55d7, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x01d867fa, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xa07c4706, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xaf3b0c67, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x32f7cd81, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x63808a1d, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x9a88c6c5, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x5475400b, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x86e87f2b, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xb871164e, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xa8a19ef5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x0a9aae3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xda61859d, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xc0f5c67e, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xb03927dd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x87888a20, "anon_inode_getfile" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0xad7bbab, "alloc_anon_inode" },
	{ 0xc035b794, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1675df92, "iommufd_access_detach" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8b276319, "cdev_device_del" },
	{ 0xd313fa57, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xe7168098, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xa16e0f45, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0xb66534fd, "iommufd_device_attach" },
	{ 0x4a73fe93, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44fc3808, "iommufd_access_pin_pages" },
	{ 0x5c7dcab, "iput" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x44ace9e2, "iommufd_ctx_from_fd" },
	{ 0xa93c2912, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x87bae485, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x26ffa0aa, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x1677659a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xddcfa9a, "put_device" },
	{ 0x2e14e1fe, "iommufd_ctx_from_file" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb734150e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x77d54a2f, "fput" },
	{ 0xb1963da8, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x498a5a4a, "up_write" },
	{ 0xe3ead6ca, "device_add" },
	{ 0x484b360d, "xa_load" },
	{ 0xf2e7c016, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf02d4d5a, "class_create" },
	{ 0x8fe9008, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xa7155622, "ida_free" },
	{ 0xda767964, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xebdcfbc3, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xbfa2544f, "iommufd_access_destroy" },
	{ 0xf22e7abb, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xd0045d72, "__xa_cmpxchg" },
	{ 0x9155f70d, "iommufd_device_to_id" },
	{ 0x8709c0ed, "init_pseudo" },
	{ 0x4e77a76c, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x5a01aba2, "xa_destroy" },
	{ 0x20633ac6, "iommufd_ctx_put" },
	{ 0xb9076d26, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb82bf213, "iommufd_device_detach" },
	{ 0x6f7c5a6d, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x54254b7a, "simple_release_fs" },
	{ 0x1167a7dc, "kill_anon_super" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7a70cf50, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9ec11932, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xf64c36e3, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x28c0ee52, "__pm_runtime_idle" },
	{ 0xd5e8e7a6, "cdev_init" },
	{ 0xef0fcbfc, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x474dfee4, "eventfd_ctx_fileget" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xbe748623, "iommu_group_remove_device" },
	{ 0xbe4bee5c, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
