#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x2a0618e3, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xd76ca065, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x1e15d833, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x18bb745e, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x6a6a5f39, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x8df1d273, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x97deaa40, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x127b4efd, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x40c5ac68, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x1ff90a3b, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xda86bc18, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x057b443c, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xb17276e0, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x08d47730, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x617c01bc, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xe5d0830c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xb61199de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x7f1aa913, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x9b9ff02f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x806dd446, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x8dc333c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x0f42e6f5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x935c177c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xf5f04e7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xfc5f4e9b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xc74bc4c6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x359da2e9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xe6067c1b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x08f1f05c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x99b32c98, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xda500a20, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x2ca5f5f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x1ae2e512, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x1eee3801, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x9927eb4d, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x4d7b5a4a, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x55fbe24b, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xce087d09, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x84afd98c, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x8a4c472f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x6da281bc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x6df827cc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x016e21c0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xd451676e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xe113424b, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x86471971, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x37055c13, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x82e74451, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xb4caa215, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xa08f626b, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xa2122b59, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xd3c918ea, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xcac29ba2, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x522ad158, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x660f7197, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x2f7c8611, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xb2a49264, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xfefc32fa, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xcc5169fd, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x5c65999f, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x534be115, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x2c12d607, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x38831d40, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xe7e57c88, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x436bf451, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x24088a94, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x7d38f2ba, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xa54e0027, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x246c26ee, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x046d17f9, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x436e792f, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xa008aa8b, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x1c6e1756, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xee60a117, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x35e08ca4, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x4e74c7ae, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xe2647ad9, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x286e915d, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x0c54f385, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xed1d51ac, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x6a6f15c2, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x49d16293, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x697f4758, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfc92bc6b, "generic_copy_file_range" },
	{ 0xf480c62f, "svc_generic_rpcbind_set" },
	{ 0xc853295e, "nfs_clone_server" },
	{ 0x9da2ed34, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x199331d9, "filemap_fdatawrite" },
	{ 0x622a3668, "nfs_show_stats" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x2eb3dbd9, "nfs_server_remove_lists" },
	{ 0x252a22, "nfs42_ssc_unregister" },
	{ 0xd1e3ab44, "generic_listxattr" },
	{ 0xb03927dd, "try_module_get" },
	{ 0x71543215, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdbcace1, "nfs_writeback_update_inode" },
	{ 0x91cffd84, "clear_inode" },
	{ 0x29d39792, "inode_to_bdi" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0x180621bb, "user_destroy" },
	{ 0x27e456d5, "idr_find" },
	{ 0xda52b922, "param_ops_uint" },
	{ 0x3038212e, "user_revoke" },
	{ 0x69a3be8e, "d_exact_alias" },
	{ 0x49133a49, "nfs_alloc_client" },
	{ 0x19d932fe, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x16a528b0, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5eb84073, "rpc_clnt_probe_trunked_xprts" },
	{ 0x43543cf0, "nfs_pageio_reset_read_mds" },
	{ 0xffc67115, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x4308fd66, "rpc_shutdown_client" },
	{ 0x4ae4118e, "svc_bind" },
	{ 0xac541f17, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xc782194, "nfs_free_inode" },
	{ 0xd7cfdd13, "nfs_access_zap_cache" },
	{ 0x6cbb5e8a, "nfs_sb_deactive" },
	{ 0xfcd36de0, "nfs_wb_all" },
	{ 0x72b54816, "generic_file_splice_read" },
	{ 0xba2b8462, "__break_lease" },
	{ 0x77b93fe6, "nfs_pageio_init_write" },
	{ 0xb3c2e838, "svc_recv" },
	{ 0xd8f2bfec, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa75fbfab, "xdr_inline_decode" },
	{ 0xffab81b3, "nfs_pageio_init_read" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x75c8bdac, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x54aa83a6, "nfs_init_commit" },
	{ 0xad57e52a, "nfs_commitdata_release" },
	{ 0x43c869e, "bpf_trace_run6" },
	{ 0x99cf301, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa7cea008, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x4dde2652, "nfs_mknod" },
	{ 0xd00d85e2, "nfs_inode_attach_open_context" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0x842b45c9, "nfs4_label_alloc" },
	{ 0x4caca7ac, "rpc_localaddr" },
	{ 0xc5b3f5c9, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0xf82f5e0f, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x50fea938, "idr_replace" },
	{ 0xa7e5bb73, "nfs_lock" },
	{ 0x11a5d22f, "unregister_key_type" },
	{ 0xaa01a106, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x880504fd, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xeacc87b3, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xbf24b4b0, "ihold" },
	{ 0xf618d28, "truncate_pagecache_range" },
	{ 0xd8fbb1bc, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x269d9b79, "invalidate_inode_pages2_range" },
	{ 0xd80ea1f9, "nfs_post_op_update_inode" },
	{ 0x3eea6464, "svc_exit_thread" },
	{ 0x5c7dcab, "iput" },
	{ 0x19e8b89d, "xdr_set_pagelen" },
	{ 0x85237686, "nfs_pgio_header_free" },
	{ 0x9a9e2c4, "nfs_request_add_commit_list_locked" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x44d6f01b, "logfc" },
	{ 0x363979c1, "nfs_pgio_header_alloc" },
	{ 0xf5150993, "__put_devmap_managed_page_refs" },
	{ 0xe64f9e90, "iter_file_splice_write" },
	{ 0xa0c58160, "rpc_pton" },
	{ 0xef909fe9, "nfs_sb_active" },
	{ 0x84594bc5, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf7686fc0, "rpc_wake_up_queued_task" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x81e12102, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb5edcfa0, "rpc_restart_call_prepare" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1e57c571, "_copy_from_pages" },
	{ 0x5283fcc3, "__module_get" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0x6cb93c9a, "rpc_task_release_transport" },
	{ 0x9d6d0f44, "xdr_page_pos" },
	{ 0xcbb826f8, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa2583c5a, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xdbd542a7, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x1555f027, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xc2b3d8f8, "register_key_type" },
	{ 0xdf750085, "rpc_sleep_on" },
	{ 0x1dd39c36, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x19be19d6, "nfs_pageio_resend" },
	{ 0x4587c7b5, "keyring_alloc" },
	{ 0x3a6942c8, "vfs_setpos" },
	{ 0x56bbfc45, "nfs_create" },
	{ 0x2a5d05e, "complete_request_key" },
	{ 0xf1c1c84b, "__put_cred" },
	{ 0x6843add0, "nfs_update_delegated_mtime" },
	{ 0x543c57a, "nfs_statfs" },
	{ 0x19fec920, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6feaa05e, "rpc_max_bc_payload" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xf7273a2b, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x24f735ec, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2d36e39f, "nfs_mkdir" },
	{ 0x48271a3, "nfs_revalidate_inode" },
	{ 0x4306136f, "inode_newsize_ok" },
	{ 0x53ef559f, "nfs_file_mmap" },
	{ 0x12cbd194, "nfs_get_lock_context" },
	{ 0xda24e3b, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e4e020d, "nfs_set_cache_invalid" },
	{ 0x808e9518, "rpc_release_client" },
	{ 0x66a5f4f0, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf993aebd, "rt_spin_trylock" },
	{ 0x424ae543, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42be38b1, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48cdb90c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x8990bc53, "nfs_generic_pgio" },
	{ 0x875cad6f, "make_kuid" },
	{ 0xf81e466a, "truncate_inode_pages_final" },
	{ 0xbc7a8db0, "generic_setlease" },
	{ 0x773466d5, "xprt_destroy_backchannel" },
	{ 0x540fbcd9, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ab00f99, "nfs_scan_commit_list" },
	{ 0x18b640da, "xdr_stream_decode_string_dup" },
	{ 0x8b40d545, "nfs_commit_inode" },
	{ 0x95d6fd5b, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x702b72d1, "rpc_destroy_pipe_data" },
	{ 0x754c11c1, "nfs_get_client" },
	{ 0x8bffb812, "__free_pages" },
	{ 0x29ea978b, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4bc65775, "nfs_atomic_open" },
	{ 0x24cfd592, "rpc_pipe_generic_upcall" },
	{ 0xb7f6f043, "nfs_file_fsync" },
	{ 0xb734150e, "module_put" },
	{ 0x42cf21f1, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba61ede9, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa2bf3332, "nfs_put_lock_context" },
	{ 0xc5f54a7a, "nfs_rename" },
	{ 0x6c6c9a7e, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xd22bde1f, "nfs_sysfs_link_rpc_client" },
	{ 0x459971c0, "nfs_put_client" },
	{ 0x3b5b3c, "nfs_show_options" },
	{ 0x4e6795df, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xea3877f4, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xe45e2af1, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x858c3d44, "get_nfs_open_context" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0xfc41425d, "nfs_clear_verifier_delegated" },
	{ 0x37923a10, "nfs_sysfs_add_server" },
	{ 0x77d54a2f, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xb1963da8, "down_write" },
	{ 0xc947b1df, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xe3a2675b, "nfs_do_submount" },
	{ 0x225c6613, "vfs_dup_fs_context" },
	{ 0x498a5a4a, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa9844af3, "request_key_with_auxdata" },
	{ 0xe2433ffb, "rpc_clone_client_set_auth" },
	{ 0x85955aad, "rpc_clone_client" },
	{ 0xb4770249, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe3a693c1, "nfs_client_init_status" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0x258ca25, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4235c608, "radix_tree_preloads" },
	{ 0x9c526765, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x615b4352, "put_fs_context" },
	{ 0x5b1340da, "nfs_retry_commit" },
	{ 0xd96ec8a2, "nfs4_dentry_operations" },
	{ 0x90d11152, "__module_put_and_kthread_exit" },
	{ 0x2c04887f, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x87222f17, "nfs_client_for_each_server" },
	{ 0x7d485adc, "nfs_clear_inode" },
	{ 0xf72807fc, "rpc_sleep_on_priority" },
	{ 0x19838f9, "nfs_invalidate_atime" },
	{ 0x9659c352, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2151f459, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x255de7b1, "nfs_getattr" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x12e00255, "nfs_pageio_reset_write_mds" },
	{ 0x540abe55, "kmem_cache_free" },
	{ 0x30dec86c, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x6ca6880a, "xdr_stream_subsegment" },
	{ 0x59755f1a, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xb101dfa, "nfs_fscache_open_file" },
	{ 0xf3440c6b, "from_kgid" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xda07dbff, "nfs_write_inode" },
	{ 0x95f9889f, "nfs_request_remove_commit_list" },
	{ 0xa7155622, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2e1797d9, "rpc_wake_up_first" },
	{ 0xe0a42b45, "alloc_nfs_open_context" },
	{ 0x9b85caca, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x595eb9bc, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbf5cb777, "nfs_path" },
	{ 0x32148d4c, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xccba8b4a, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x90adfc10, "register_nfs_version" },
	{ 0xd4b90eab, "rpc_sleep_on_timeout" },
	{ 0x9fd8c9cd, "list_lru_count_one" },
	{ 0xb0eed6ae, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x43bc382c, "rpc_call_start" },
	{ 0x70e0ef4, "xprt_setup_backchannel" },
	{ 0x9aecd87b, "bpf_trace_run1" },
	{ 0x28b26d36, "svc_create" },
	{ 0x8b07cdd1, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xce1b2dae, "nfs_file_set_open_context" },
	{ 0xc79deae, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xe506a4b7, "rpc_call_sync" },
	{ 0x1fb83972, "from_kuid" },
	{ 0x2eddf587, "rpc_put_task_async" },
	{ 0x97857aa6, "rpc_prepare_reply_pages" },
	{ 0xbe88b692, "rpc_queue_upcall" },
	{ 0x87882aa3, "nfs_free_server" },
	{ 0xeb9234f2, "fc_mount" },
	{ 0xb4c048d4, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0xd570fdcc, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaf009d04, "nfs4_fs_type" },
	{ 0xa96a4d76, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xcb0c27e, "rpc_delay" },
	{ 0x2f874d20, "nfs_flock" },
	{ 0x6793899b, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0xdd997778, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xbb770725, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x75b86868, "rpc_exit" },
	{ 0x27f6f983, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xf662fede, "rpc_remove_pipe_dir_object" },
	{ 0xd6e33db2, "nfs_may_open" },
	{ 0xd75a7712, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xba7c39ea, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xd25b1d63, "xdr_reserve_space" },
	{ 0x3362bc2d, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa50df129, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7e1638c5, "nfs_rmdir" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x86f5e572, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xa12a67bf, "nfs_filemap_write_and_wait_range" },
	{ 0xec5599db, "rpc_mkpipe_dentry" },
	{ 0x898a1f1b, "alloc_file_pseudo" },
	{ 0xc20de1ab, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x51e15d68, "rpc_add_pipe_dir_object" },
	{ 0x1feee522, "igrab" },
	{ 0x81de5492, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa42f3456, "nfs_async_iocounter_wait" },
	{ 0xcd3c77bd, "nfs_file_read" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x442bb52b, "nfs_alloc_fattr_with_label" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xd367585b, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x728cc1c5, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x22dfb446, "nfs_setattr_update_inode" },
	{ 0xa27396a3, "nfs_instantiate" },
	{ 0x91a878de, "init_user_ns" },
	{ 0x5c368fa9, "rpc_uaddr2sockaddr" },
	{ 0x5dd94290, "user_read" },
	{ 0x5d6561e8, "rpc_restart_call" },
	{ 0x5edc8b82, "request_key_tag" },
	{ 0xf088278, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xab08b271, "alloc_pages" },
	{ 0x39ab388c, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x36f46f8c, "svc_xprt_destroy_all" },
	{ 0x5e0be9e8, "generic_key_instantiate" },
	{ 0xa1d676e2, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x9b46eeda, "nfs_link" },
	{ 0xc901df2, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51312978, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x469986fa, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf3095ee6, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xdaf068d2, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x466aaf7a, "xdr_stream_move_subsegment" },
	{ 0xdd698953, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x11ed1ee1, "nfs_post_op_update_inode_force_wcc" },
	{ 0x8c82730b, "nfs_pgheader_init" },
	{ 0x1621e37e, "put_nfs_open_context" },
	{ 0xcfe3044d, "nfs_show_path" },
	{ 0x75bccb93, "nfs_show_devname" },
	{ 0xdc57a077, "nfs_permission" },
	{ 0xe05203b8, "nfs_initiate_commit" },
	{ 0x1b373c30, "truncate_inode_pages_range" },
	{ 0x280b7cc2, "__put_user_ns" },
	{ 0xf525885a, "cred_fscmp" },
	{ 0x364957d3, "rpc_unlink" },
	{ 0x85a126a3, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x9c90bfe6, "proc_dointvec" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0x9a923c4c, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x125db08d, "node_data" },
	{ 0x35d49299, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd146035f, "nfs_setsecurity" },
	{ 0x2eb2b57c, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x418495a4, "rpc_clnt_test_and_add_xprt" },
	{ 0x8afc2f3a, "file_ra_state_init" },
	{ 0x8dfb4f6b, "nfs_force_lookup_revalidate" },
	{ 0xf54927e9, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x635e43f5, "rpc_clnt_add_xprt" },
	{ 0xcb49ebeb, "dget_parent" },
	{ 0x62bfed99, "from_kuid_munged" },
	{ 0x9e3077cd, "prepare_kernel_cred" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xfc6675fc, "nfs_alloc_server" },
	{ 0x8e2d14c2, "rpc_call_async" },
	{ 0x614c222e, "security_dentry_init_security" },
	{ 0xb285a693, "filemap_write_and_wait_range" },
	{ 0xcd992ff6, "list_lru_del_obj" },
	{ 0x59c7c141, "nfs_server_insert_lists" },
	{ 0xfb3ecb15, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb4d977a, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x732f0a45, "rpc_init_pipe_dir_object" },
	{ 0x288dfc64, "bpf_trace_run7" },
	{ 0x100e4a5a, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xa9ec5a54, "nfs_init_server_rpcclient" },
	{ 0x591f678c, "__mark_inode_dirty" },
	{ 0xbfbaaad7, "rpc_set_connect_timeout" },
	{ 0xdc4e2426, "rpcauth_create" },
	{ 0xbf33c1fc, "xdr_stream_pos" },
	{ 0x2b8acac4, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xaa8a6315, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xca837622, "svc_xprt_create" },
	{ 0x2206d245, "nfs42_ssc_register" },
	{ 0x7d9da8da, "rpc_wait_for_completion_task" },
	{ 0xaa1fc57a, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x713be00c, "rpc_num_bc_slots" },
	{ 0x393a8ae8, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x22c7127b, "rpc_destroy_wait_queue" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xac9245c2, "security_inode_listsecurity" },
	{ 0xebe344a1, "nfs_fhget" },
	{ 0x71dae1f7, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x96dd35ab, "locks_copy_lock" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x24b588b0, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6834203e, "nfs_set_verifier" },
	{ 0xf897c7a, "proc_dointvec_minmax" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "926FCE3017E4E7A08B28B03");
MODULE_INFO(rhelversion, "9.6");
