#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x3b9250bb, "");
SYMBOL_CRC(bt_sock_register, 0xa109e44c, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xb33f9d65, "");
SYMBOL_CRC(bt_sock_link, 0x917b0380, "");
SYMBOL_CRC(bt_sock_unlink, 0x8984de6b, "");
SYMBOL_CRC(bt_accept_enqueue, 0x2ac85ae7, "");
SYMBOL_CRC(bt_accept_unlink, 0xef6a4d2c, "");
SYMBOL_CRC(bt_accept_dequeue, 0x01c1542a, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x60d6aba7, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x9a25cd79, "");
SYMBOL_CRC(bt_sock_poll, 0xcf504a73, "");
SYMBOL_CRC(bt_sock_ioctl, 0x903481bd, "");
SYMBOL_CRC(bt_sock_wait_state, 0x56584531, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x5f629285, "");
SYMBOL_CRC(bt_procfs_init, 0xadcca500, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x2cf86b28, "");
SYMBOL_CRC(bt_debugfs, 0xb07b5fd7, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xc753999a, "");
SYMBOL_CRC(hci_free_dev, 0xc819c1f3, "");
SYMBOL_CRC(hci_register_dev, 0x3308d9db, "");
SYMBOL_CRC(hci_unregister_dev, 0xf567ca51, "");
SYMBOL_CRC(hci_release_dev, 0x35a8235e, "");
SYMBOL_CRC(hci_suspend_dev, 0x685c9cdb, "");
SYMBOL_CRC(hci_resume_dev, 0x0fa33747, "");
SYMBOL_CRC(hci_reset_dev, 0x33e8d9c7, "");
SYMBOL_CRC(hci_recv_frame, 0x942b1aa0, "");
SYMBOL_CRC(hci_recv_diag, 0x6463b9c5, "");
SYMBOL_CRC(hci_set_hw_info, 0x91cf4b1d, "");
SYMBOL_CRC(hci_set_fw_info, 0x123d7433, "");
SYMBOL_CRC(hci_register_cb, 0xb21349b3, "");
SYMBOL_CRC(hci_unregister_cb, 0xe2d5851c, "");
SYMBOL_CRC(__hci_cmd_send, 0xc4573a4f, "");
SYMBOL_CRC(hci_get_route, 0x222390cd, "");
SYMBOL_CRC(hci_conn_security, 0x91c2f850, "");
SYMBOL_CRC(hci_conn_check_secure, 0xc13d2ab1, "");
SYMBOL_CRC(hci_conn_switch_role, 0x23d6749f, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x093e1323, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xf3056ec3, "");
SYMBOL_CRC(l2cap_add_psm, 0x8a8819a5, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xcb58a3f9, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xadfd4b48, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x4bcff96e, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xd3002f94, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x46d4c25c, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x709847e4, "");
SYMBOL_CRC(l2cap_register_user, 0x6dbbeffd, "");
SYMBOL_CRC(l2cap_unregister_user, 0xa24da3b6, "");
SYMBOL_CRC(l2cap_conn_get, 0x7ffb2ca5, "");
SYMBOL_CRC(l2cap_conn_put, 0x8104b492, "");
SYMBOL_CRC(l2cap_chan_send, 0xaefefa58, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xc0b07630, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x9f43f53d, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xa77839e9, "");
SYMBOL_CRC(__hci_cmd_sync, 0x54650676, "");
SYMBOL_CRC(hci_cmd_sync, 0xea23e1a8, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xc53d22c5, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x274f09c8, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x5903f916, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xf5c113b3, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x7d8a4942, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x16b53083, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x9819a2eb, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x687a77bb, "");
SYMBOL_CRC(hci_devcd_init, 0xb6aadbd5, "");
SYMBOL_CRC(hci_devcd_append, 0x451e20fb, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x4a4410fb, "");
SYMBOL_CRC(hci_devcd_complete, 0x2f38d9f5, "");
SYMBOL_CRC(hci_devcd_abort, 0xa9550195, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x353455, "skb_free_datagram" },
	{ 0xe8beda14, "sock_queue_rcv_skb_reason" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0xb03927dd, "try_module_get" },
	{ 0xa2989e30, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f55943d, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0x27e456d5, "idr_find" },
	{ 0x11951f71, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x1f40195f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0x298d7c40, "scm_detach_fds" },
	{ 0x259037d6, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3eb6d06f, "device_unregister" },
	{ 0xa47a1648, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x5f54f16, "debugfs_create_u16" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0xe7168098, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x4876eeef, "add_wait_queue_exclusive" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaa7e3364, "sock_no_connect" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0x6d09edf1, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0x5283fcc3, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x2b2d1ddc, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1c1c84b, "__put_cred" },
	{ 0xd5805a4c, "put_cmsg" },
	{ 0x686a7ad3, "skb_queue_purge_reason" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc8848ef, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x5ee62fc6, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6d0e4620, "sock_register" },
	{ 0xf9665fc6, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xddcfa9a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0x14a695cc, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0xfcdb989f, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf1b6c15a, "skb_queue_tail" },
	{ 0xb734150e, "module_put" },
	{ 0xa05cf333, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x1fca5b23, "debugfs_attr_read" },
	{ 0x6372f13a, "__sock_recv_timestamp" },
	{ 0x3a24902f, "sock_no_shutdown" },
	{ 0xce0808c, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcdc645c1, "crypto_req_done" },
	{ 0x1260b8a3, "init_net" },
	{ 0xb1648d20, "crypto_shash_setkey" },
	{ 0x19c938e, "simple_open" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe3ead6ca, "device_add" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0xaf88ce0b, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8b887a65, "init_uts_ns" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x364a32a9, "sk_free" },
	{ 0xf02d4d5a, "class_create" },
	{ 0xea9bafb6, "device_move" },
	{ 0x1b8d2dc0, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8677231, "skb_push" },
	{ 0x663cc870, "sock_no_listen" },
	{ 0x9c231734, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x646c4456, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa09e31ce, "iov_iter_kvec" },
	{ 0xa7155622, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xfa2fa4c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11928571, "device_find_child" },
	{ 0x10afd72b, "dev_coredumpv" },
	{ 0x5cac8358, "skb_copy_datagram_iter" },
	{ 0x4a3472b2, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd18b09a3, "sk_alloc" },
	{ 0xebdcfbc3, "device_del" },
	{ 0x93b67767, "__sock_queue_rcv_skb" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x8e389ee2, "default_llseek" },
	{ 0x1f771a89, "__sock_recv_wifi_status" },
	{ 0x1fb83972, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xa804d7df, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4997a6bc, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4c5e90c8, "sock_no_mmap" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xf6ddfdd0, "__scm_destroy" },
	{ 0xd75a7712, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc859b77c, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30ab494e, "seq_read" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x22e17faf, "sock_i_ino" },
	{ 0x328dba0c, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4f48b76, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x2f6f0b1b, "skb_recv_datagram" },
	{ 0x8540f7d9, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x586c4634, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe3dd7e71, "skb_copy" },
	{ 0x3e754642, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x64a073ec, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0x23e62471, "seq_puts" },
	{ 0x6ff8872f, "sock_gettstamp" },
	{ 0x31bd5a81, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26115071, "pid_vnr" },
	{ 0x62bfed99, "from_kuid_munged" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb0f96d75, "proc_create_seq_private" },
	{ 0x287d6fc8, "debugfs_create_u8" },
	{ 0xe0d4f25d, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9be64a7, "crypto_alloc_shash" },
	{ 0x491cc6f4, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x562107ed, "fwnode_property_read_u8_array" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x897aae70, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2e0a884, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x78817743, "__dev_fwnode" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb6869459, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcfa04eac, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "5F235CAF146C4AAAF30B80C");
MODULE_INFO(rhelversion, "9.6");
