#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xe0db9a02, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x11b687a9, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xe8ffe6e5, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x5e58f0a2, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xe7972111, "_gpl");
SYMBOL_CRC(br_forward, 0x2c0a07e7, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x0764d805, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x0d50ca05, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x002dace0, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x595c90f3, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x14a0ef5c, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xc93eb92f, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xcb737cf7, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xcdb53e3a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xb2a5c15b, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x35cf4df3, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x904a0951, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xc0ea3950, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x27cea56d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x55ffcdcb, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xeea4e0ff, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x3bafe191, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xb398f480, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x102dbfd3, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xde2e1f85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51104503, "netdev_lower_get_next" },
	{ 0xc2afa3af, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cef26d, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x831a3269, "skb_copy_bits" },
	{ 0xd27f6593, "__nlmsg_put" },
	{ 0xb585a02e, "switchdev_port_attr_set" },
	{ 0x9e85386d, "ipv6_mc_check_mld" },
	{ 0x1f40195f, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a644a1a, "call_switchdev_notifiers" },
	{ 0x56623322, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd75b482b, "netdev_update_features" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa1a808a, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x32f8a2a1, "__traceiter_br_fdb_update" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xb068b840, "dev_uc_del" },
	{ 0xca5e2eaa, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4933ae59, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdc939c52, "switchdev_port_obj_act_is_deferred" },
	{ 0x92c7ab8b, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa63c286, "dev_set_promiscuity" },
	{ 0xad326ff6, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x118fed8, "unregister_netdevice_queue" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x747e8a7a, "netdev_state_change" },
	{ 0x2b2d1ddc, "__pskb_copy_fclone" },
	{ 0x7cf281bf, "__dev_get_by_name" },
	{ 0x3c8d3f7d, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf931feaf, "netdev_err" },
	{ 0x31a68c00, "pskb_expand_head" },
	{ 0x3cfcd987, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xbb640b5d, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xc6f4f133, "arp_xmit" },
	{ 0x747b0af, "__traceiter_br_mdb_full" },
	{ 0x1c5f003, "alloc_netdev_mqs" },
	{ 0xfe07fced, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x802fe3f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48699815, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0x29ea978b, "kmem_cache_alloc" },
	{ 0xe6f69af3, "rtnl_set_sk_err" },
	{ 0x21285ba4, "skb_vlan_pop" },
	{ 0x324afd5d, "rtnl_unicast" },
	{ 0x3c7e0677, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfdfdb487, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x39f7f8bb, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb71fd6e7, "__dev_get_by_index" },
	{ 0xf4675f9a, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x86e8e37f, "dev_get_port_parent_id" },
	{ 0x1260b8a3, "init_net" },
	{ 0x1d75ac95, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9630288c, "inet_confirm_addr" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf2da4aaf, "sysfs_remove_link" },
	{ 0x17d0bd1c, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaa4cf7e5, "rtnl_af_unregister" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x40824c2e, "arp_send" },
	{ 0x787b637f, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x24eb8701, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x8677231, "skb_push" },
	{ 0x540abe55, "kmem_cache_free" },
	{ 0x4ea8b3df, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x178aaf71, "netdev_upper_dev_unlink" },
	{ 0x77362410, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaed5d4ab, "llc_mac_hdr_init" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfdc416ed, "kobject_init_and_add" },
	{ 0xd053f4c5, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x21e45f7, "ns_capable" },
	{ 0x74075808, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99b62797, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf1d30653, "arp_create" },
	{ 0xff1b0500, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc701284, "stp_proto_register" },
	{ 0x9c51940d, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xd2c42614, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x86ca067, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb0f18527, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x779a7804, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0x1805c39b, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x1f65b8c3, "ip_mc_check_igmp" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x729b9c24, "rhashtable_destroy" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xded6d18a, "switchdev_port_obj_del" },
	{ 0x8fc04563, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x116ba61f, "kobject_create_and_add" },
	{ 0x170d13a2, "skb_trim" },
	{ 0x50c7a897, "nf_hook_slow" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf908b362, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8327c9f6, "__ip_mc_inc_group" },
	{ 0x72fcac, "netdev_walk_all_upper_dev_rcu" },
	{ 0x12c45b3f, "sysfs_remove_group" },
	{ 0x346a7342, "__traceiter_br_fdb_external_learn_add" },
	{ 0x81791847, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x137f3a24, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1836e640, "vlan_vid_add" },
	{ 0xcd211960, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x73c0b2a3, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae654d9, "call_netdevice_notifiers" },
	{ 0xcd742992, "is_skb_forwardable" },
	{ 0x55814cc6, "vlan_vid_del" },
	{ 0xa3bf865e, "dev_set_allmulti" },
	{ 0xf80cfe26, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x179c749d, "netdev_master_upper_dev_get" },
	{ 0xb16b7c43, "ipv6_dev_mc_inc" },
	{ 0xcc47e36e, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd773890d, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3e754642, "skb_clone" },
	{ 0x99828c9, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8d005c5e, "dst_release" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0xf8f27c7f, "kobject_uevent" },
	{ 0x4dc113ce, "arp_tbl" },
	{ 0x7da5545, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd8c05c8d, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd7157095, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x22edf802, "netif_set_tso_max_size" },
	{ 0xb589f6fc, "dev_disable_lro" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xd7760b61, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x86e1997c, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x36bf784, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x6fe42c9e, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xc1d37093, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x27b0e4a4, "skb_ext_add" },
	{ 0xf25532f7, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8166a155, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x20130948, "neigh_lookup" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x73f905a7, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x468af004, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6A6DB62780517605463CB48");
MODULE_INFO(rhelversion, "9.6");
