#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x3bb7d702, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x9558fb3a, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xfc88d89c, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x4d7a8ebf, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x6cb4b258, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x031d54ce, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x482f0547, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xf0fae6e7, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x7f798045, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x053a7439, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44f67189, "dst_cache_set_ip4" },
	{ 0x5efdb7b1, "kernel_bind" },
	{ 0xbe9dea85, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x3115d7c6, "netdev_warn" },
	{ 0x8261a0f1, "udp_tunnel_nic_ops" },
	{ 0x3ce354f9, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1d75ac95, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x1b374951, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x110ab795, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x19fbff8c, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x170d13a2, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf908b362, "__dynamic_netdev_dbg" },
	{ 0x921f63c3, "dst_cache_get_ip4" },
	{ 0xfded18c4, "sock_create_kern" },
	{ 0xeae654d9, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x99828c9, "metadata_dst_alloc" },
	{ 0x8d005c5e, "dst_release" },
	{ 0x2efd2357, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc2788352, "sock_bindtoindex" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
