#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x670cf62b, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x155fee16, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x70b2884c, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x4e7e60a3, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x7824f091, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x7601a028, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x57423aa0, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xd04fcfa5, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x619bd657, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xb10e005c, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xd34b9bb5, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xa3bcac4f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x69586ce3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x1988b8b8, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xf712c09a, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xe709217b, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xd3a6eeb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2302d932, "flow_rule_alloc" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x93268822, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf055d5b8, "neigh_xmit" },
	{ 0xfc28c26f, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xad326ff6, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7f14240a, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xcb41491e, "proc_create_net_data" },
	{ 0x31a68c00, "pskb_expand_head" },
	{ 0x3cfcd987, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa16254d7, "dev_get_by_index" },
	{ 0x787b637f, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xbd0586b0, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x972c5186, "flow_indr_dev_setup_offload" },
	{ 0xb566fcf7, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x86ca067, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xb0f18527, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0x729b9c24, "rhashtable_destroy" },
	{ 0xd443e8c8, "down_read" },
	{ 0xdcc1f6fa, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x137f3a24, "rhashtable_insert_slow" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcd211960, "neigh_destroy" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7c7591fa, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x9314aa2e, "nf_ct_acct_add" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8d005c5e, "dst_release" },
	{ 0x822ed316, "nf_ct_l4proto_find" },
	{ 0x23e62471, "seq_puts" },
	{ 0x7029b9f2, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xaa8a6315, "up_read" },
	{ 0x62238c7, "rhashtable_walk_exit" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
