#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x18711f48, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xf4a5c6ec, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x48753900, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xa63ad1b4, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xd355c44f, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xf616655f, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x821e085e, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x8c0f0de7, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xb92aef35, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x9fc069d2, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x970a24e9, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x7d94cbe7, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x1466f85e, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x02a37cea, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x3414f0bc, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x6d4b48ad, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xd0d98352, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x89d0f3b0, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x1b0d2c65, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x3f5882c9, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xb3b901c5, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x5898ccbe, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x966c4f3d, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x710230fb, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x7079bbf1, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa512a3e4, "sock_map_close" },
	{ 0xe8beda14, "sock_queue_rcv_skb_reason" },
	{ 0xb03927dd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc035b794, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6b119a85, "consume_skb" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xeacc87b3, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0xed82f525, "sock_map_unhash" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5283fcc3, "__module_get" },
	{ 0x47927bdd, "sk_stream_error" },
	{ 0xe94689d0, "sk_msg_recvmsg" },
	{ 0x742170a6, "ns_capable_noaudit" },
	{ 0xf1c1c84b, "__put_cred" },
	{ 0x818f93d5, "sk_error_report" },
	{ 0x686a7ad3, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ee62fc6, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6d0e4620, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0xfcdb989f, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb734150e, "module_put" },
	{ 0x8de477b, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x364a32a9, "sk_free" },
	{ 0x1b8d2dc0, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x663cc870, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6d6ae6c4, "sock_recv_errqueue" },
	{ 0xfa2fa4c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xca9cd0aa, "mutex_lock_interruptible" },
	{ 0xd18b09a3, "sk_alloc" },
	{ 0xa804d7df, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xf22e7abb, "misc_register" },
	{ 0x4c5e90c8, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x2aa7bcc1, "sock_no_sendpage" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xfe0c16aa, "nonseekable_open" },
	{ 0xa6b3cda7, "sk_psock_drop" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x91a878de, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3e754642, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0xb1429b9d, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1de4a380, "sock_setsockopt" },
	{ 0x2e0a884, "sock_init_data" },
	{ 0xb6869459, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3DDBF114383C9B4C352D27");
MODULE_INFO(rhelversion, "9.6");
