#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x922bf987, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x14daa508, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x7a6e54d0, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xf6e78821, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x9731b074, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x22fa02d3, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x9495ad33, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xe42a383b, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x3647f926, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x85b6897b, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x559f0f71, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xccf0a6c3, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1eae8450, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd1ae994d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xee4f61a5, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x5b8a62e0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x57d5861e, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xc489e671, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x8d8819c3, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x9db222b3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x4d91a4db, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x96c6dfa0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x76c3b3a7, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb64bc3e9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xf61bf6fe, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x04652b4f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xdfb710e2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x6309b266, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x5d1a8c84, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xb417277f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x29ec945c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x47769256, "kthread_queue_work" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xbf1e3172, "kthread_create_worker" },
	{ 0x2c30824b, "_dev_info" },
	{ 0xd79028d0, "sched_set_fifo" },
	{ 0x793d6c72, "kthread_destroy_worker" },
	{ 0xacfda46b, "crypto_register_aead" },
	{ 0x9194dca3, "crypto_unregister_aead" },
	{ 0x65ea3446, "crypto_register_ahash" },
	{ 0xee37c009, "crypto_unregister_ahash" },
	{ 0x80bfbc22, "crypto_register_akcipher" },
	{ 0x60af4b42, "crypto_unregister_akcipher" },
	{ 0x634ac5f7, "crypto_register_kpp" },
	{ 0x424110fc, "crypto_unregister_kpp" },
	{ 0x3d09ef6b, "crypto_register_skcipher" },
	{ 0x525aac64, "crypto_unregister_skcipher" },
	{ 0xbc7d8176, "crypto_enqueue_request" },
	{ 0xc84e570c, "crypto_dequeue_request" },
	{ 0xb3ae03c8, "crypto_enqueue_request_head" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
