#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xe67e8248, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x96052de3, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xa4f6440f, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x508855e0, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x808a63ef, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x55ce0ee7, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x3401b281, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xdf26fb65, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x13ce59bb, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xc36c1435, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x4bff85d1, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xa69143bf, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x2cc4c81b, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xb128d511, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x3852fcf6, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xd65c59bf, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x60ac29bf, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x6f95c838, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x416d35a1, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x6bb70a66, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x67629269, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xf26d7458, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x0b35efbd, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x4bffaab3, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x32faa3b5, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xa054c3d5, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x9ed96117, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xb237da12, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xcc4a93e3, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x42bbb120, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xf1ab0899, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x5d441ae0, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x83df45ca, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x6947065e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xaa6812f3, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xfb1b7ded, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xd3268581, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x3d97f98d, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x0a43e9c8, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xf3c03980, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x91b5518a, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x2f38ab30, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xa5326aca, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x68beacde, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x8cd6dbfe, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xfc49e874, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x690b1908, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x907dbfa5, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x46e8d407, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x6743c779, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x775637b6, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x73caa58e, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xfef1359e, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x365a2efa, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x362903ed, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x1917c95c, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xbf4ca5d6, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x38dfd6fc, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xb13efbaa, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x03e56611, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x9cc1e5df, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x95d76d53, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x2ef88ed6, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x212076a2, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x460e27b9, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x3fed233e, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xc036e969, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x629e7bc9, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x1eb0456f, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x1d43c0ac, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xee0285e7, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x3598cd2f, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xd47afb19, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x4ed9908e, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x713bc9cc, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x87baa2af, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xa0b0834a, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xbe9888c1, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xab9f497e, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xb4326807, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x6e4ae6ba, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xcf771caa, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x52b62168, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x9f2bd844, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x022aedf9, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xb522a050, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xdfabc969, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x47ca8dd8, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xa6f68c27, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x1bf7e994, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x2ec436c7, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x0a6475ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7d7cc75, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x1a69a419, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x3f55943d, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0x11951f71, "debugfs_attr_write" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0xe1c6e782, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8b276319, "cdev_device_del" },
	{ 0x43c869e, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x3eb6d06f, "device_unregister" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x803abe4f, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0xcfe2d26a, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x8a1468bd, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12509041, "platform_bus" },
	{ 0x5f1c49d, "dev_driver_string" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x7acad794, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xb4baab4a, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x1677659a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xddcfa9a, "put_device" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0x14b6a431, "bus_for_each_dev" },
	{ 0x3c7e0677, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1fca5b23, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x6c7e2144, "sysfs_update_group" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0xb1963da8, "down_write" },
	{ 0xe68e9afb, "devm_kfree" },
	{ 0x76ca5905, "_dev_err" },
	{ 0x498a5a4a, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x32476408, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x623af651, "bus_find_device" },
	{ 0xe3ead6ca, "device_add" },
	{ 0xf2da4aaf, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xaf88ce0b, "simple_attr_release" },
	{ 0x484b360d, "xa_load" },
	{ 0x729ee91b, "noop_llseek" },
	{ 0x9659c352, "bpf_trace_run5" },
	{ 0x2ccfa313, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xa5de7f33, "kernfs_find_and_get_ns" },
	{ 0x9c231734, "debugfs_remove" },
	{ 0x7e1891f0, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xa7155622, "ida_free" },
	{ 0x8ca6ef87, "driver_unregister" },
	{ 0x343abc8e, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x11928571, "device_find_child" },
	{ 0xca9cd0aa, "mutex_lock_interruptible" },
	{ 0x2f31c35b, "devm_release_action" },
	{ 0xebdcfbc3, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf59fce90, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x878c79c9, "device_for_each_child_reverse_from" },
	{ 0x69c52af0, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xb1ab7264, "__xa_insert" },
	{ 0x1cab6640, "xa_erase" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x30ab494e, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x328dba0c, "debugfs_create_file" },
	{ 0xa0e7b84, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x543425ce, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xcada4d3d, "einj_cxl_available_error_type_show" },
	{ 0x5a01aba2, "xa_destroy" },
	{ 0x762efd57, "xa_find" },
	{ 0x1e80fcbb, "kernfs_put" },
	{ 0x2a75fb4c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0x6a16ca36, "device_match_name" },
	{ 0x3098cd2c, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x31bd5a81, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4e428fd3, "pci_walk_bus" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x8fc4cdc3, "__devm_add_action" },
	{ 0x94b49ea, "pci_find_dvsec_capability" },
	{ 0x8c6b7867, "device_find_child_by_name" },
	{ 0x5418c4a3, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe0d4f25d, "single_open" },
	{ 0x3ee56947, "pci_write_config_word" },
	{ 0x491cc6f4, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xda7e109a, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaa8a6315, "up_read" },
	{ 0x3605489c, "driver_register" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd5e8e7a6, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd712f4c, "pci_bus_type" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "4FE4ADD3194255382413754");
MODULE_INFO(rhelversion, "9.6");
