#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xd3bee1df, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xcf47cd16, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xa4562901, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x5f6939f9, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x271dcfa7, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xcd382a59, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x15b34221, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xa476e078, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x42dde63a, "_gpl");
SYMBOL_CRC(can_bus_off, 0xe8de91da, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x52da44a4, "_gpl");
SYMBOL_CRC(free_candev, 0x9abb2108, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xae9efc7d, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x5fc3ca35, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x9b916deb, "");
SYMBOL_CRC(open_candev, 0xe4bc6b12, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x67dee0ee, "_gpl");
SYMBOL_CRC(close_candev, 0x7e50804f, "_gpl");
SYMBOL_CRC(register_candev, 0x7e11b225, "_gpl");
SYMBOL_CRC(unregister_candev, 0x11e8dc7d, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x7001767c, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xc68d37a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f40195f, "skb_put" },
	{ 0x9dae9a21, "gpiod_set_value" },
	{ 0x9d1a81d7, "skb_tstamp_tx" },
	{ 0x419f89c0, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6b119a85, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe3129c3f, "unregister_netdev" },
	{ 0xca5e2eaa, "rtnl_link_register" },
	{ 0x3115d7c6, "netdev_warn" },
	{ 0xfae9654f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf931feaf, "netdev_err" },
	{ 0x1c5f003, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x374ee093, "device_property_read_u32_array" },
	{ 0x1a2c175a, "of_get_child_by_name" },
	{ 0xf4675f9a, "rtnl_link_unregister" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x28d9f57c, "register_netdev" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x24770459, "sock_efree" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xf908b362, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3e754642, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc12fd61e, "dev_err_probe" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe6978daf, "skb_clone_tx_timestamp" },
	{ 0x7932d1ef, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
