#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xb2f0268f, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x08ce76e8, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x1247cffc, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x965f2932, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x72285342, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xba4a2e5a, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x6fcff3e0, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x67d14b3a, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x39954cef, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x95b5e92c, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x6646cd2d, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x605e973f, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x482642d8, "_gpl");
SYMBOL_CRC(usbnet_open, 0x867bbe28, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x9c40b23b, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xc58a570d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x80c2f5b3, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x8f81cd56, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x94c6ccd5, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc2319231, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xb7de6e96, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x77e8e543, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x662b964f, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x8b95e9f1, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x1ffefd08, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x49845f32, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x45172c58, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x2dfddc35, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x61e5eea4, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xc0f059b0, "");
SYMBOL_CRC(usbnet_manage_power, 0xbd4a5ed8, "");
SYMBOL_CRC(usbnet_link_change, 0x9bc69fb4, "");
SYMBOL_CRC(usbnet_read_cmd, 0x6b516e7d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x49217ff0, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x4b9d4f7c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x12917b1c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x8ec7937b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9923d263, "usb_set_interface" },
	{ 0x6ab379f9, "usb_string" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf908b362, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x686a7ad3, "skb_queue_purge_reason" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x5fa38ca1, "usb_get_urb" },
	{ 0x3241da54, "usb_unlink_urb" },
	{ 0xab43cb66, "usb_free_urb" },
	{ 0x42953aa3, "usb_submit_urb" },
	{ 0xf931feaf, "netdev_err" },
	{ 0x8ff80ad6, "mii_ethtool_get_link_ksettings" },
	{ 0x283ec576, "mii_ethtool_set_link_ksettings" },
	{ 0x77e1367d, "mii_nway_restart" },
	{ 0x4e6fe186, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3129c3f, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8f950fce, "usb_scuttle_anchored_urbs" },
	{ 0x7c905fa7, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0x7932d1ef, "netdev_info" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0x40efa2d1, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaae8a76a, "usb_autopm_get_interface" },
	{ 0xc036201, "usb_autopm_put_interface" },
	{ 0x2ecf6c1d, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xbba3b0e, "mii_link_ok" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0xe2f14daf, "netif_device_detach" },
	{ 0x4712f475, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x45b38a0b, "skb_defer_rx_timestamp" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xd64befd3, "eth_type_trans" },
	{ 0xf1b6c15a, "skb_queue_tail" },
	{ 0x719d8e4f, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x28d9f57c, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x591f79d2, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa47a1648, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe6978daf, "skb_clone_tx_timestamp" },
	{ 0xd1229e5f, "usb_autopm_get_interface_async" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x9d1a81d7, "skb_tstamp_tx" },
	{ 0xc038eb79, "usb_anchor_urb" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xf1ad483c, "netif_tx_wake_queue" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xd48229a2, "usb_autopm_get_interface_no_resume" },
	{ 0x42db8388, "usb_get_from_anchor" },
	{ 0x1f40195f, "skb_put" },
	{ 0xbf0d7e19, "usb_clear_halt" },
	{ 0x8dfb259d, "eth_mac_addr" },
	{ 0x5bc7dba, "eth_validate_addr" },
	{ 0x1805c39b, "dev_get_tstats64" },
	{ 0xfcef6212, "ethtool_op_get_ts_info" },
	{ 0xfec013f9, "param_ops_int" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
