#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x7c544892, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x1b2d62fe, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xc5b6d34a, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xa9f37782, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x75b9b07b, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x9b547b30, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x893db7dc, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfb509dc6, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xb99cfc73, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xe7356f8c, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xd5f9fd81, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x96f36b1d, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x4dabba3b, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x817458f8, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x87f40ad9, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x56a07946, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xce80e1ae, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xec7261f3, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x47e89354, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x29e780da, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x7dba5c7b, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7b933a94, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x0bf1b649, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x8d7b5050, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xfc083f2d, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x7538e3ff, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x65b5adb4, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xdadee976, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x130083e0, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x1a7c42df, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xd6879d0e, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x375e46ce, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x81768698, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x90237a59, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x1c445a96, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x804ae429, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x960ebefe, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xa6fba809, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x113a2600, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe9a7cfbc, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xb1f24160, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x898afe56, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xb7f67cea, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xbd8ffa09, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xa0e50ca3, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xcfdd2aed, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xe98a30aa, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x7a4efe44, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xc61671b4, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xac2e07d5, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc595c481, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x930a5a1c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xc946c2ad, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x0e49900e, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xa538723a, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x321c7588, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x3e326903, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x25ffc2bb, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x6267a14b, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x3fe58aae, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x626b91fd, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x19a35304, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6a122e4, "set_capacity_and_notify" },
	{ 0xf8b864c0, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x179a432e, "set_disk_ro" },
	{ 0x9352486c, "__blk_alloc_disk" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0xb03927dd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4ead79a, "bio_integrity_map_user" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0xb1dbb411, "device_remove_file_self" },
	{ 0xda52b922, "param_ops_uint" },
	{ 0xe203cb69, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0x6db2365a, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x418c2074, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x9a85913c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa8d5a409, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8b276319, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0xc73e1fec, "queue_limits_stack_bdev" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0x43c5cb8e, "blk_mq_unquiesce_queue" },
	{ 0xaa6f492e, "blk_mq_quiesce_queue" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x25298eb3, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x36cdc8f4, "__traceiter_block_bio_remap" },
	{ 0xb1b3503b, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0xff205f02, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x3822f0d1, "synchronize_srcu" },
	{ 0x1ae3a099, "param_ops_byte" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x57ee0869, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x33bcd5ff, "__blk_mq_alloc_disk" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0xf2252a4d, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x79403319, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x509d95ac, "blk_mq_alloc_tag_set" },
	{ 0x95ca1527, "blk_rq_is_poll" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xecc352a9, "mempool_create" },
	{ 0xb87f8182, "put_disk" },
	{ 0xcc8848ef, "crypto_alloc_kpp" },
	{ 0x1677659a, "cdev_device_add" },
	{ 0x8dced43d, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf1811ef, "blk_execute_rq" },
	{ 0xddcfa9a, "put_device" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x579dff0c, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6c4adb1, "kmalloc_node_trace" },
	{ 0x69729d71, "mempool_alloc" },
	{ 0xef30cc42, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x8bffb812, "__free_pages" },
	{ 0x2c30824b, "_dev_info" },
	{ 0x9bfae578, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb734150e, "module_put" },
	{ 0x3c7e0677, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbc04578c, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c308c65, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xfa2c4843, "blk_mq_quiesce_tagset" },
	{ 0xd6132c5, "kobject_uevent_env" },
	{ 0xab70926c, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xacbe180b, "init_srcu_struct" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x76ca5905, "_dev_err" },
	{ 0xa2297c25, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb1648d20, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe3ead6ca, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5c7bce2, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf2da4aaf, "sysfs_remove_link" },
	{ 0x2e00dce4, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe7254681, "__srcu_read_lock" },
	{ 0x37a10db0, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcb6bd4e9, "submit_bio_noacct" },
	{ 0x484b360d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x82813285, "blk_sync_queue" },
	{ 0x2358f7ac, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5e73618f, "blk_mq_alloc_request_hctx" },
	{ 0xf816716d, "__io_uring_cmd_do_in_task" },
	{ 0x31ec7d39, "blk_mq_alloc_request" },
	{ 0xa7155622, "ida_free" },
	{ 0x36a1a368, "crypto_shash_update" },
	{ 0x66e7d86c, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x18d63c5e, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa5e1f3f2, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd650dd3b, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x51735611, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x2f806cc8, "blk_put_queue" },
	{ 0x9aecd87b, "bpf_trace_run1" },
	{ 0xebdcfbc3, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0xeb6d9132, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x6fef4fd7, "io_uring_cmd_done" },
	{ 0x852d7ac9, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6c55ae5d, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x1cab6640, "xa_erase" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2d18accf, "blk_mq_complete_request" },
	{ 0xe2628fd9, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0xb4516933, "crypto_shash_final" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0xcb30ba40, "blk_mq_destroy_queue" },
	{ 0x5a01aba2, "xa_destroy" },
	{ 0x9dd126e6, "blk_freeze_queue_start" },
	{ 0x8bd37f58, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x762efd57, "xa_find" },
	{ 0xab08b271, "alloc_pages" },
	{ 0x4fbddc68, "mempool_destroy" },
	{ 0x5e88c21f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x25307ce, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd2157fc7, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x2b451adf, "blk_mq_unfreeze_queue" },
	{ 0xe5dad6aa, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x905346cf, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77ebaf5, "blk_rq_map_user_iov" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x80791187, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5c927109, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9be64a7, "crypto_alloc_shash" },
	{ 0xc2c3583c, "blk_mq_freeze_queue_wait" },
	{ 0x217962c, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x79e708d3, "blk_mq_requeue_request" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x4b125b16, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd5e8e7a6, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb57fabc5, "bdev_end_io_acct" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x9cae7661, "blk_steal_bios" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "7F8AFC0F24E64D67FC57077");
MODULE_INFO(rhelversion, "9.6");
