#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x84eba138, "");
SYMBOL_CRC(sas_remove_host, 0xe2da9270, "");
SYMBOL_CRC(sas_get_address, 0x00a96d17, "");
SYMBOL_CRC(sas_tlr_supported, 0x3d4d95a9, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xbca67b4e, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x29c7677d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x398840b3, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x95c1a662, "");
SYMBOL_CRC(sas_phy_add, 0x6f3eda78, "");
SYMBOL_CRC(sas_phy_free, 0x52b898c4, "");
SYMBOL_CRC(sas_phy_delete, 0xc91f9a94, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x97ab212c, "");
SYMBOL_CRC(sas_port_alloc, 0xd57f56b8, "");
SYMBOL_CRC(sas_port_alloc_num, 0xbaa55df8, "");
SYMBOL_CRC(sas_port_add, 0xcb44d5b4, "");
SYMBOL_CRC(sas_port_free, 0x19026eb0, "");
SYMBOL_CRC(sas_port_delete, 0x945f8357, "");
SYMBOL_CRC(scsi_is_sas_port, 0xe13fc64f, "");
SYMBOL_CRC(sas_port_get_phy, 0x5eb8dd48, "");
SYMBOL_CRC(sas_port_add_phy, 0x82fb61da, "");
SYMBOL_CRC(sas_port_delete_phy, 0x2f10ad95, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x29955c0a, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x3c52575b, "");
SYMBOL_CRC(sas_end_device_alloc, 0xbc75d711, "");
SYMBOL_CRC(sas_expander_alloc, 0x267571a2, "");
SYMBOL_CRC(sas_rphy_add, 0xd831299c, "");
SYMBOL_CRC(sas_rphy_free, 0x8269ab66, "");
SYMBOL_CRC(sas_rphy_delete, 0x153ff766, "");
SYMBOL_CRC(sas_rphy_unlink, 0x5ce80873, "");
SYMBOL_CRC(sas_rphy_remove, 0x089d6782, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x9e7801bd, "");
SYMBOL_CRC(sas_attach_transport, 0xa27e05ea, "");
SYMBOL_CRC(sas_release_transport, 0x37c894e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcfe2d26a, "device_for_each_child" },
	{ 0xddcfa9a, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3ead6ca, "device_add" },
	{ 0x5431061c, "transport_add_device" },
	{ 0x9068e31e, "transport_configure_device" },
	{ 0xebdcfbc3, "device_del" },
	{ 0xf9985780, "transport_destroy_device" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x6e29a4d6, "get_device" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x3c7e0677, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b97e20b, "scsi_scan_target" },
	{ 0xe5174b66, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0fde58b, "transport_class_register" },
	{ 0x73ea3852, "transport_class_unregister" },
	{ 0x37306aa, "transport_remove_device" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x7471f259, "attribute_container_register" },
	{ 0xf2da4aaf, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf3593867, "dev_printk" },
	{ 0x615b0052, "scsi_mode_sense" },
	{ 0x1b819319, "attribute_container_unregister" },
	{ 0x83e9bca5, "scsi_remove_host" },
	{ 0x9537fcba, "bsg_remove_queue" },
	{ 0xf676bdc6, "scsi_remove_target" },
	{ 0x25ccadda, "scsi_is_host_device" },
	{ 0x70254e9, "_dev_warn" },
	{ 0xb0f74f28, "bsg_job_done" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x2e683d56, "dma_opt_mapping_size" },
	{ 0x370a8ec1, "device_initialize" },
	{ 0x7a1137aa, "dev_set_name" },
	{ 0x181c1bd0, "transport_setup_device" },
	{ 0x89d0ff4e, "scsi_get_vpd_page" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
