#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x4cb889a5, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0xed40f426, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xcf2adb6a, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xd273d298, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x8a2f3910, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x64cdf590, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xbf0d7c90, "_gpl");
SYMBOL_CRC(ucsi_create, 0x510105e7, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x5f046cf8, "_gpl");
SYMBOL_CRC(ucsi_register, 0xb6585e8a, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x94f397d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x21018dbc, "typec_partner_set_pd_revision" },
	{ 0x3f55943d, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xce7727f0, "typec_register_partner" },
	{ 0x40b6e05d, "typec_port_set_usb_power_delivery" },
	{ 0x11951f71, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd6d9ef67, "typec_port_register_altmode" },
	{ 0x1349c312, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x918db9cb, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x50a88850, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0xe8ca7b3d, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x9015691b, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x22412488, "typec_partner_register_altmode" },
	{ 0x20aac769, "typec_partner_set_num_altmodes" },
	{ 0x72dffe12, "typec_unregister_partner" },
	{ 0x7cca400f, "typec_set_pwr_opmode" },
	{ 0x7e41c924, "typec_cable_set_identity" },
	{ 0x1fca5b23, "debugfs_attr_read" },
	{ 0x93459032, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x76ca5905, "_dev_err" },
	{ 0x11a95855, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcf4bfcc2, "device_property_read_u8_array" },
	{ 0xaf88ce0b, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x4a11cacf, "usb_power_delivery_register_capabilities" },
	{ 0xf6864745, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x9c231734, "debugfs_remove" },
	{ 0x93b9085e, "usb_power_delivery_unregister" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0x133fa500, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa2cae5ab, "typec_unregister_port" },
	{ 0x1e904d8b, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0xe2d62f64, "typec_register_port" },
	{ 0x2e7b1cee, "typec_plug_set_num_altmodes" },
	{ 0xa9d0f9a0, "typec_partner_set_usb_power_delivery" },
	{ 0xd1bd549a, "power_supply_changed" },
	{ 0xa92b25d6, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82886af2, "typec_plug_register_altmode" },
	{ 0xfa591bb3, "devm_kasprintf" },
	{ 0x30ab494e, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x328dba0c, "debugfs_create_file" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5cae8635, "typec_unregister_altmode" },
	{ 0xc3a6204, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2db1ad8f, "usb_power_delivery_unregister_capabilities" },
	{ 0x9e5977a9, "typec_get_drvdata" },
	{ 0x15393440, "typec_partner_set_identity" },
	{ 0xe844b368, "power_supply_unregister" },
	{ 0x31bd5a81, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd7961196, "typec_set_pwr_role" },
	{ 0x39ee6c75, "typec_partner_usb_power_delivery_register" },
	{ 0xc12fd61e, "dev_err_probe" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x75bcf16d, "usb_debug_root" },
	{ 0x54ea6b0e, "fwnode_handle_put" },
	{ 0xeab87b1b, "device_get_next_child_node" },
	{ 0xe0d4f25d, "single_open" },
	{ 0x491cc6f4, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x78817743, "__dev_fwnode" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBC2F676B010BB3E71E91FE");
MODULE_INFO(rhelversion, "9.6");
