#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x992494c5, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xaac556cd, "");
SYMBOL_CRC(fscache_acquire_cache, 0xc6e140b0, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xed71cdc3, "");
SYMBOL_CRC(fscache_add_cache, 0xb1ea0317, "");
SYMBOL_CRC(fscache_io_error, 0xd788e88b, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xd7f20aba, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x7c10e0e5, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x7c9b2cb2, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x67df4597, "");
SYMBOL_CRC(fscache_caching_failed, 0x7c76dd2b, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x073c9bcc, "");
SYMBOL_CRC(__fscache_use_cookie, 0x378cb797, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x1e4b688f, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xfd2d9ff7, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x34b2c959, "");
SYMBOL_CRC(fscache_put_cookie, 0x896c0584, "");
SYMBOL_CRC(fscache_get_cookie, 0xefd53363, "");
SYMBOL_CRC(__fscache_invalidate, 0x38b918f8, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xf1c409ce, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x4f5d0854, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x8fd9bba4, "");
SYMBOL_CRC(fscache_dirty_folio, 0x626c263a, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x4ee72875, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xf09cd53e, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xae28ccfc, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x063e770f, "");
SYMBOL_CRC(fscache_end_volume_access, 0xcd08e6ad, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x82e5b52f, "");
SYMBOL_CRC(fscache_put_volume, 0x83dd7fc8, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x9b62a899, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x90a831ff, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0xda52b922, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x8654528a, "xas_find" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4ee7046, "netfs_stats_show" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xd5d56543, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x34e17e04, "remove_proc_subtree" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x29ea978b, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x42cf21f1, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9659c352, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x540abe55, "kmem_cache_free" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9aecd87b, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc965a44b, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x4ef8da56, "folio_end_private_2" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x9ae82db5, "filemap_dirty_folio" },
	{ 0x23e62471, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1e1b501c, "iov_iter_xarray" },
	{ 0xfacbd591, "proc_create_single_data" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb0f96d75, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaa8a6315, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "371779224C6DFA510DA570B");
MODULE_INFO(rhelversion, "9.6");
