#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_drop_unencrypted_mgmt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee802_11_parse_elems_full, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_chandef_subchan_offset, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_rearrange_tpe_psd, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x659c7eb4, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0xba4b0470, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0xd24f5274, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0x1e8782da, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x123dbd11, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0xea840e40, "");
SYMBOL_CRC(ieee80211_register_hw, 0x56435912, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0x83ebb750, "");
SYMBOL_CRC(ieee80211_free_hw, 0x7ff0f1c1, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x643c25fb, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0x3a28bfef, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x11636071, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0x7fe800f5, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0xf043ab88, "");
SYMBOL_CRC(ieee80211_free_txskb, 0x3e8846c4, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x1c622501, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0xb22f9ce9, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x41d7cafa, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0xfe6c5c13, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x47fa00d9, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x30e42b7a, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x666393e5, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0x35c772e6, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x4da85961, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x00f87326, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0xa69e64f8, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0xde744d7f, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x2de165f2, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0xc8468a56, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0x5abf40c4, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0x7587801f, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0xaab10754, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0x052d5148, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x9a9ce556, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0xb282212b, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0x0effe38b, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0x8ec4ad30, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0xfb85869f, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0x86055008, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x063842d3, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0xe77617a1, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0xea1a6c6c, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xb33db573, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x131b5d19, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0xe53c1351, "");
SYMBOL_CRC(rate_control_set_rates, 0x13121d0e, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0xe5bb026e, "");
SYMBOL_CRC(ieee80211_csa_finish, 0x3e2de027, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x21392072, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x5623315f, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0x0027ef3c, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0xe828ffb8, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0xbdb07e87, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x81e12b6f, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0x9a9ad9c7, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x77dbacfb, "");
SYMBOL_CRC(ieee80211_drop_unencrypted_mgmt, 0x759e8679, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0xbf8af3a2, "");
SYMBOL_CRC(ieee80211_rx_list, 0xdab581cb, "");
SYMBOL_CRC(ieee80211_rx_napi, 0xe9825464, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0x171ca36d, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x3f73b7b6, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x4a123ab9, "");
SYMBOL_CRC(ieee80211_next_txq, 0x0b297402, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0x59750dec, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0x966a1e8e, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0x5b444a85, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0xbe6c7a33, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0xc143a28c, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x6f9bc0dc, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x87634664, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0x3ed1b0ea, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0x926abb08, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0x096eb5b9, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0xbdf7318b, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0xf9746ef8, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0xb4012d58, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x4505e5f4, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0xe3795fee, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0x8a366cbc, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0xe313c450, "");
SYMBOL_CRC(ieee80211_probereq_get, 0x09282ffb, "");
SYMBOL_CRC(ieee80211_rts_get, 0xd77a03d4, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0xfe1f6c45, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x2b5504c9, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0xbc65971b, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0x0a457573, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xaeaa6fd3, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x5533bc9b, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xde44d5f2, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0x264ad967, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0x952c790e, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x6aaca829, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xc6484af7, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x25d10335, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x94c3181c, "");
SYMBOL_CRC(ieee80211_wake_queue, 0x3b2138fb, "");
SYMBOL_CRC(ieee80211_stop_queue, 0xc6304b78, "");
SYMBOL_CRC(ieee80211_stop_queues, 0x8ac0f711, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0x3fda92bd, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x4a906013, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0x8cdcb6a1, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0x7cd50150, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x8174c681, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0x2cef2169, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0xcf7aea60, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0x463b6edf, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0x297963a2, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0xa12debc4, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0x74a44690, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0x62d0329d, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0xe878b8a9, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x524a140c, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0x6e9e60f2, "");
SYMBOL_CRC(ieee802_11_parse_elems_full, 0x34e2481d, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0xd9aab997, "_gpl");
SYMBOL_CRC(ieee80211_calc_chandef_subchan_offset, 0xecb18574, "");
SYMBOL_CRC(ieee80211_rearrange_tpe_psd, 0x3431026d, "");
SYMBOL_CRC(ieee80211_chswitch_done, 0xddf274df, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0x4c4e776a, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0x30ab8cab, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xa48c64cc, "");
SYMBOL_CRC(ieee80211_disconnect, 0x3cc41054, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0xfcbe208b, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x8a9d278d, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0xdd2f8c0f, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0xbcb37428, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0xb188fdf7, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x2cc3b9f0, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x4404dcea, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0x26a8726d, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0xc403088b, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0x6bdc06b6, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0xf6b43303, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x5cb9df8f, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0xd89e8e3a, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0xb1f8c3c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcfaf4243, "crypto_skcipher_encrypt" },
	{ 0x264c1b69, "cfg80211_inform_bss_frame_data" },
	{ 0xd280be29, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0xb2231ba4, "skb_complete_wifi_ack" },
	{ 0xf389fe60, "__hw_addr_init" },
	{ 0xf63fdb1f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x27e4b970, "cfg80211_rx_assoc_resp" },
	{ 0x86a1f797, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x831a3269, "skb_copy_bits" },
	{ 0x27e456d5, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0x8dfb259d, "eth_mac_addr" },
	{ 0x1f40195f, "skb_put" },
	{ 0xea03acb5, "cfg80211_links_removed" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x545f3e9f, "cfg80211_chandef_dfs_required" },
	{ 0x9c65c69a, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xc296f83c, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x759ec0d5, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5e1817ba, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x52586e56, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3ee2adb0, "cfg80211_bss_color_notify" },
	{ 0x9ca6dc79, "cfg80211_remain_on_channel_expired" },
	{ 0x43c869e, "bpf_trace_run6" },
	{ 0x878ff994, "cfg80211_cac_event" },
	{ 0xa47a1648, "skb_dequeue" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x6e5a4444, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x312095c3, "led_trigger_blink_oneshot" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0x620ecdb5, "ieee80211_amsdu_to_8023s" },
	{ 0x3e9110fa, "__hw_addr_unsync" },
	{ 0x2cc40b40, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xbc0685b6, "dev_alloc_name" },
	{ 0xf2d8eea7, "___pskb_trim" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x646c544c, "cfg80211_iter_rnr" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf2af94a9, "crypto_alloc_aead" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0x630aabae, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x1c3780b3, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x23775cb3, "cfg80211_new_sta" },
	{ 0x70159425, "crypto_skcipher_setkey" },
	{ 0x302b4388, "netdev_set_default_ethtool_ops" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x42422b32, "__dynamic_dev_dbg" },
	{ 0x3c8d3f7d, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x31a68c00, "pskb_expand_head" },
	{ 0xfc2178a8, "skb_csum_hwoffload_help" },
	{ 0x686a7ad3, "skb_queue_purge_reason" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0xd64befd3, "eth_type_trans" },
	{ 0x1c5f003, "alloc_netdev_mqs" },
	{ 0x73d2eda4, "wiphy_new_nm" },
	{ 0xadab8ef0, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0xefbcdc57, "cfg80211_ready_on_channel" },
	{ 0xdf4f1e9, "cfg80211_reg_check_beaconing" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x3bd9a57d, "cfg80211_classify8021d" },
	{ 0xeeba739b, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88a67f2, "ieee80211_fragment_element" },
	{ 0x725da7d2, "cfg80211_rx_mlme_mgmt" },
	{ 0xd301d2d3, "wiphy_delayed_work_queue" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0xe6058640, "crypto_skcipher_decrypt" },
	{ 0xe392ac0b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0xb39a77ef, "cfg80211_put_bss" },
	{ 0xb2cbc54b, "cfg80211_nan_func_terminated" },
	{ 0xbc03f474, "cfg80211_ch_switch_notify" },
	{ 0x14a695cc, "idr_get_next" },
	{ 0x650a8aca, "cfg80211_tx_mlme_mgmt" },
	{ 0x2c30824b, "_dev_info" },
	{ 0x184ae535, "napi_gro_receive" },
	{ 0x41e9ecbc, "cfg80211_gtk_rekey_notify" },
	{ 0x7e325b82, "skb_copy_expand" },
	{ 0xf1b6c15a, "skb_queue_tail" },
	{ 0x1e7f84f4, "ieee80211_get_channel_khz" },
	{ 0x443c289a, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3773a370, "__cfg80211_radar_event" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdb0f3721, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0xd6ed7a73, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x35bb3084, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x908d977b, "crypto_aead_setkey" },
	{ 0x6e45ab1c, "__skb_get_hash_net" },
	{ 0xe462c738, "kernel_param_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x6a7c1c59, "cfg80211_rx_spurious_frame" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x145d3254, "cfg80211_ibss_joined" },
	{ 0xb9f80b0b, "cfg80211_nan_match" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb1648d20, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x72abbc03, "cfg80211_iter_combinations" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x1a38b081, "cfg80211_iftype_allowed" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2cf9ca42, "crypto_aead_encrypt" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6152c66e, "ieee80211_is_valid_amsdu" },
	{ 0x9659c352, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4f44bb11, "cfg80211_michael_mic_failure" },
	{ 0xbb9d6ff2, "cfg80211_cqm_pktloss_notify" },
	{ 0x93bba381, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x8075a4de, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8677231, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0x2a1a6ce5, "cfg80211_del_sta_sinfo" },
	{ 0x77362410, "netif_receive_skb" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x50cadf85, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4ad1aa1c, "skb_ensure_writable" },
	{ 0xf8625aab, "wiphy_unregister" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0x36a1a368, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8a7de7f8, "wiphy_work_queue" },
	{ 0xda31b61, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43afadee, "ieee80211_radiotap_iterator_init" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x658a25b2, "ieee80211_data_to_8023_exthdr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9aecd87b, "bpf_trace_run1" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc78b69b8, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xae7e7029, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xcfe36a5f, "kernel_param_unlock" },
	{ 0x50506eac, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x70254e9, "_dev_warn" },
	{ 0xdf4d81fe, "wiphy_delayed_work_timer" },
	{ 0x6afb1417, "cfg80211_chandef_usable" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xb0f18527, "rht_bucket_nested_insert" },
	{ 0xebe1a616, "wiphy_delayed_work_cancel" },
	{ 0x9ac63561, "kfree_skb_list_reason" },
	{ 0x9b9cefb, "cfg80211_cqm_beacon_loss_notify" },
	{ 0x326c259e, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x7d9c0268, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x865029ac, "__hw_addr_sync" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x8cc3211f, "cfg80211_ch_switch_started_notify" },
	{ 0xfd650849, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc33db10f, "cfg80211_sched_scan_stopped_locked" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x137f3a24, "rhashtable_insert_slow" },
	{ 0x2e5d4431, "idr_for_each" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcca52788, "cfg80211_unregister_wdev" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x140882f4, "cfg80211_probe_status" },
	{ 0xaa212d48, "freq_reg_info" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x9dcf2bf8, "cfg80211_stop_iface" },
	{ 0x7acb86ed, "ieee80211_radiotap_iterator_next" },
	{ 0xecb76cdc, "cfg80211_rx_mgmt_ext" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xcc5b2779, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9812151a, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8fe2d54e, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb94ae, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x49d4815, "led_trigger_register" },
	{ 0xe3dd7e71, "skb_copy" },
	{ 0x3072b185, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x3e754642, "skb_clone" },
	{ 0xc2862f96, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xcc47d987, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x57e337ec, "cfg80211_send_layer2_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf3593867, "dev_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x11e39f30, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6c9c541f, "led_trigger_event" },
	{ 0x30905603, "cfg80211_shutdown_all_interfaces" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xfd92209, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xfec013f9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x9be64a7, "crypto_alloc_shash" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x347ac1eb, "led_trigger_blink" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc506487, "__skb_gso_segment" },
	{ 0xaab3c000, "cfg80211_unlink_bss" },
	{ 0xaf727639, "__cfg80211_get_bss" },
	{ 0xf1cdbc5b, "wiphy_free" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f4e4c18, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x7932d1ef, "netdev_info" },
	{ 0xcfa04eac, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4cb75e52, "cfg80211_auth_timeout" },
	{ 0xfeb51687, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0xe3b25c81, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "A598D6B5B8B204D3A71905B");
MODULE_INFO(rhelversion, "9.6");
