#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x9a5ed6a7, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x58aea5aa, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xa2ae25a5, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xe602c7ae, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4f9abb99, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x255a01cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4f916bf, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x84b7ecb4, "nsh_pop" },
	{ 0x143fc071, "nf_conntrack_find_get" },
	{ 0xf2107b92, "nf_ct_set_timeout" },
	{ 0xdd4dcd94, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xb03927dd, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2a4d665, "dev_fill_metadata_dst" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xba3400a6, "nf_ct_handle_fragments" },
	{ 0x8dfb259d, "eth_mac_addr" },
	{ 0x1f40195f, "skb_put" },
	{ 0xc92fe3f9, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x45f36934, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7fc11e5e, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xac8aeb78, "skb_eth_pop" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x13177ffd, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x8c69c5cb, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x8253e286, "nf_ct_helper" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xaf704148, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x96356dc9, "rtnl_delete_link" },
	{ 0xca5e2eaa, "rtnl_link_register" },
	{ 0x399c9966, "nf_connlabels_put" },
	{ 0xa9819151, "genlmsg_put" },
	{ 0xf2d8eea7, "___pskb_trim" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe83d6e71, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa63c286, "dev_set_promiscuity" },
	{ 0xa399a765, "nf_ct_destroy_timeout" },
	{ 0x39513650, "nf_ct_add_helper" },
	{ 0xf0dfb121, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc82e117c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa63fb97e, "nf_ct_skb_network_trim" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x118fed8, "unregister_netdevice_queue" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0x27938086, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0x3c8d3f7d, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x26d13f2f, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x31a68c00, "pskb_expand_head" },
	{ 0xfc2178a8, "skb_csum_hwoffload_help" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x7485e131, "nf_connlabels_replace" },
	{ 0xd64befd3, "eth_type_trans" },
	{ 0x1c5f003, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9e382037, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x802fe3f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0xfaa768, "skb_eth_push" },
	{ 0x7138e980, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x29ea978b, "kmem_cache_alloc" },
	{ 0xbcde32d, "skb_mpls_pop" },
	{ 0x21285ba4, "skb_vlan_pop" },
	{ 0xadc61f92, "dst_init" },
	{ 0xb734150e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x6e45ab1c, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf4675f9a, "rtnl_link_unregister" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x1260b8a3, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x1d75ac95, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x568922d, "skb_mpls_update_lse" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x95061f3c, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x993dd98e, "netlink_unicast" },
	{ 0x9659c352, "bpf_trace_run5" },
	{ 0x787b637f, "dev_get_by_index_rcu" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8677231, "skb_push" },
	{ 0x540abe55, "kmem_cache_free" },
	{ 0x178aaf71, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0x4ad1aa1c, "skb_ensure_writable" },
	{ 0x5f91a7b8, "free_netdev" },
	{ 0xd053f4c5, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3722f18e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfc77883, "ethtool_op_get_link" },
	{ 0xc1ec3a9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x4085f7ad, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0x56995631, "nf_ct_delete" },
	{ 0x7f886536, "nf_conncount_init" },
	{ 0xcf87e07a, "skb_vlan_push" },
	{ 0x1805c39b, "dev_get_tstats64" },
	{ 0xcac7bd4b, "netif_rx" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x8fc04563, "netdev_master_upper_dev_link" },
	{ 0xfbc66b53, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd443e8c8, "down_read" },
	{ 0xdcc1f6fa, "inet_proto_csum_replace16" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfac794a6, "skb_scrub_packet" },
	{ 0x325bdab1, "nf_ct_deliver_cached_events" },
	{ 0xcd9a877b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28897426, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x5a7f916d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x49dfb3f7, "__skb_checksum" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7c7591fa, "inet_proto_csum_replace4" },
	{ 0x11558026, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd12ba8e7, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x179c749d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbeaa5524, "dev_get_by_name" },
	{ 0x3e754642, "skb_clone" },
	{ 0x99828c9, "metadata_dst_alloc" },
	{ 0x8d005c5e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb8111669, "peernet2id_alloc" },
	{ 0x40a27f97, "nf_ct_get_tuplepr" },
	{ 0xd8c05c8d, "netdev_rx_handler_register" },
	{ 0x456e5bb1, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe8971f97, "genl_unregister_family" },
	{ 0xb589f6fc, "dev_disable_lro" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x34d82d42, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x689e3c51, "genl_register_family" },
	{ 0xc2e8f458, "nf_ct_tmpl_free" },
	{ 0x8fb30cfd, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc506487, "__skb_gso_segment" },
	{ 0xaa8a6315, "up_read" },
	{ 0x39cf22f6, "skb_mpls_push" },
	{ 0x3b2886e, "register_pernet_device" },
	{ 0x3daa6196, "nf_conntrack_in" },
	{ 0x4f44fc0, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0x23dfb0e3, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0x6815a045, "__skb_vlan_pop" },
	{ 0xc7cafc12, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x468af004, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "DFCEEAE1EC4CAC0BF77A489");
MODULE_INFO(rhelversion, "9.6");
