#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x810f6365, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x0422590e, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xaba9e5db, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x353455, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe8beda14, "sock_queue_rcv_skb_reason" },
	{ 0x25231e36, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc9a6a739, "bpf_trace_run4" },
	{ 0x831a3269, "skb_copy_bits" },
	{ 0x368a5d33, "radix_tree_insert" },
	{ 0x1f40195f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x9d109e7d, "radix_tree_lookup" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x5efdb7b1, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0x5283fcc3, "__module_get" },
	{ 0x504ca32a, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x818f93d5, "sk_error_report" },
	{ 0x686a7ad3, "skb_queue_purge_reason" },
	{ 0xe4aca7d6, "radix_tree_iter_delete" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ee62fc6, "proto_unregister" },
	{ 0x6d0e4620, "sock_register" },
	{ 0xf9665fc6, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0xfcdb989f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb734150e, "module_put" },
	{ 0x14d3523a, "__xa_alloc" },
	{ 0x3a24902f, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x11fee4eb, "__traceiter_sk_data_ready" },
	{ 0x1260b8a3, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbb9c39d1, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x484b360d, "xa_load" },
	{ 0xb34f94ad, "kernel_getsockname" },
	{ 0x9aa09af, "do_wait_intr_irq" },
	{ 0x364a32a9, "sk_free" },
	{ 0x1b8d2dc0, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8677231, "skb_push" },
	{ 0x663cc870, "sock_no_listen" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfa2fa4c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5cac8358, "skb_copy_datagram_iter" },
	{ 0xd18b09a3, "sk_alloc" },
	{ 0xa804d7df, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x4c5e90c8, "sock_no_mmap" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x2aa7bcc1, "sock_no_sendpage" },
	{ 0xd84c10d7, "__netdev_alloc_skb" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xb1ab7264, "__xa_insert" },
	{ 0x1cab6640, "xa_erase" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xae42d8dc, "skb_set_owner_w" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xfded18c4, "sock_create_kern" },
	{ 0x762efd57, "xa_find" },
	{ 0x2f6f0b1b, "skb_recv_datagram" },
	{ 0x8540f7d9, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x25307ce, "xa_store" },
	{ 0x3e754642, "skb_clone" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x2efd2357, "sock_release" },
	{ 0x6ff8872f, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x2d7bc8be, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x2e0a884, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xb6869459, "release_sock" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
