#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x507a2da8, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x64ad4d96, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x7dad6433, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x10e394ec, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xd34eda01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce422a44, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa2989e30, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd7d246c8, "inet_addr_type_table" },
	{ 0x20ac83a0, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x831a3269, "skb_copy_bits" },
	{ 0x7d6221aa, "inet_unregister_protosw" },
	{ 0x27e456d5, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a56fc18, "sock_wfree" },
	{ 0x1f40195f, "skb_put" },
	{ 0xff0e57e8, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x32ca091, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x593c360c, "ip6_dst_hoplimit" },
	{ 0x6b119a85, "consume_skb" },
	{ 0x6c820c47, "inet6_add_offload" },
	{ 0x259037d6, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc427ec5e, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x9b816335, "l3mdev_fib_table_by_index" },
	{ 0x3bb7d702, "udp_sock_create4" },
	{ 0xa47a1648, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xef87f5c5, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8fe51c52, "finish_wait" },
	{ 0x23877eb2, "skb_segment" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0xe1b9656d, "__ip_dev_find" },
	{ 0x7ab2448f, "udp_tunnel6_xmit_skb" },
	{ 0xe7b7d769, "sock_common_getsockopt" },
	{ 0xe691b04, "inet_bind" },
	{ 0xebcd7ddd, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xeacc87b3, "prepare_to_wait" },
	{ 0x4a73fe93, "fd_install" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4fea87b, "inet_register_protosw" },
	{ 0x44d0b062, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xa8a0ffc5, "bpf_trace_run2" },
	{ 0xc26e0829, "sock_common_setsockopt" },
	{ 0x34e17e04, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd6ef64db, "__wake_up" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3ce354f9, "ip_route_output_flow" },
	{ 0x7f14240a, "rhashtable_walk_enter" },
	{ 0xee18d221, "kmem_cache_create" },
	{ 0x9ceb1eb5, "__sk_mem_schedule" },
	{ 0x5d9ab5ec, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xaaf538f3, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcb41491e, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x818f93d5, "sk_error_report" },
	{ 0x3cfcd987, "register_pernet_subsys" },
	{ 0xd5805a4c, "put_cmsg" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xa2086ed2, "inet_sock_destruct" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0xeaaaa9ed, "sock_kmalloc" },
	{ 0xb582b188, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x2d90584f, "inet_getname" },
	{ 0x5ee62fc6, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xe0deeae7, "inet_release" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x29ea978b, "kmem_cache_alloc" },
	{ 0xfcdb989f, "proto_register" },
	{ 0x7e325b82, "skb_copy_expand" },
	{ 0x3339ab3f, "__wake_up_sync_key" },
	{ 0xa05cf333, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x5e1a1fa1, "inet_ctl_sock_create" },
	{ 0x95876780, "inet_ioctl" },
	{ 0xa860f74, "reuseport_add_sock" },
	{ 0xb2388f01, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xf5af40e0, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xce0808c, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0x77d54a2f, "fput" },
	{ 0x11fee4eb, "__traceiter_sk_data_ready" },
	{ 0x4ebec136, "inet_accept" },
	{ 0x1260b8a3, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb1648d20, "crypto_shash_setkey" },
	{ 0xa619aa51, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x19a79f4, "inet_add_offload" },
	{ 0x4235c608, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc805a2d5, "inet_add_protocol" },
	{ 0x4e1bc38b, "inet_shutdown" },
	{ 0x364a32a9, "sk_free" },
	{ 0x4df8616f, "sock_wake_async" },
	{ 0x787b637f, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2010a680, "inet_del_offload" },
	{ 0x8677231, "skb_push" },
	{ 0x91aae84f, "__ip_queue_xmit" },
	{ 0x540abe55, "kmem_cache_free" },
	{ 0x1f1774d9, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x5c7526ba, "proc_doulongvec_minmax" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd0586b0, "rhashtable_walk_start_check" },
	{ 0x21e45f7, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfa2fa4c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x929a1a2, "inet6_ioctl" },
	{ 0x5cac8358, "skb_copy_datagram_iter" },
	{ 0xb566fcf7, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x725e119a, "idr_alloc_cyclic" },
	{ 0xd18b09a3, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x86ca067, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x1592cffe, "ip6_dst_lookup_flow" },
	{ 0xae7e7029, "rhashtable_free_and_destroy" },
	{ 0xa804d7df, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb0f18527, "rht_bucket_nested_insert" },
	{ 0xf0fae6e7, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4c5e90c8, "sock_no_mmap" },
	{ 0xce7d64d8, "__init_waitqueue_head" },
	{ 0x3eb1583b, "__pskb_pull_tail" },
	{ 0x2aa7bcc1, "sock_no_sendpage" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x9558fb3a, "setup_udp_tunnel_sock" },
	{ 0x399f3fce, "udp_sock_create6" },
	{ 0x170d13a2, "skb_trim" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55abcdef, "sk_common_release" },
	{ 0x3a6bf1c2, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x137f3a24, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x3ff32f35, "inet6_getname" },
	{ 0x22e17faf, "sock_i_ino" },
	{ 0xb958d408, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb7a1adb9, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x7a77b5c1, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xae42d8dc, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x49dfb3f7, "__skb_checksum" },
	{ 0x2a9458fe, "reuseport_alloc" },
	{ 0x2b97c0d8, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x7c779e86, "inet6_release" },
	{ 0x1e62532b, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc70279e7, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae205f02, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x5f970286, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8fe2d54e, "rhltable_init" },
	{ 0x482f0547, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x45db5a78, "proc_create_net_single" },
	{ 0xe3dd7e71, "skb_copy" },
	{ 0x3e754642, "skb_clone" },
	{ 0xc0a5bf30, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8d005c5e, "dst_release" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x2efd2357, "sock_release" },
	{ 0xc3c3c52b, "inet_recv_error" },
	{ 0x9c90bfe6, "proc_dointvec" },
	{ 0x23e62471, "seq_puts" },
	{ 0x6ff8872f, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x7029b9f2, "rhashtable_walk_next" },
	{ 0xc376ea12, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfad11b33, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3bae1e3, "send_sig" },
	{ 0xb1980e2b, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x48bc7caa, "inet6_add_protocol" },
	{ 0x62bfed99, "from_kuid_munged" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x87ec3e8b, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xd7760b61, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x24086ef0, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xac0d7884, "reuseport_detach_sock" },
	{ 0x4333d678, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x9be64a7, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x62238c7, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2e0a884, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xbb4158ff, "kmem_cache_destroy" },
	{ 0xb6869459, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcfa04eac, "skb_queue_head" },
	{ 0xf897c7a, "proc_dointvec_minmax" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "994877EBA47527C68D2F0EC");
MODULE_INFO(rhelversion, "9.6");
