#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x2a958cb8, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x111d9b21, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x49b76daf, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x06f1dee5, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x654edaf6, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x70412737, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x18d5a0c4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xe8f5bd05, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xf30f5667, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xda852ce6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x88e609da, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x68006f5e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x0577cd8e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x0f43f7de, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x27e02546, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x2cd9de49, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x13aff7a4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xd3770730, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x662d4c24, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x4c565afc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xb3518db9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x04fd50e5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x9d0a4fbc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x50d9d7a2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x6572bd8a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x48e9b2a4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xc249031e, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x001afefe, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x6998026d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xa08a7c58, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xa147153b, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x8eb47fee, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xbded912e, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x883dab4f, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x5689cd31, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x04db9d02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x970a24e9, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf4a5c6ec, "vsock_insert_connected" },
	{ 0x1f40195f, "skb_put" },
	{ 0x6b119a85, "consume_skb" },
	{ 0xc1d40c4b, "trace_raw_output_prep" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x821e085e, "vsock_remove_sock" },
	{ 0xdaba82ec, "trace_event_printf" },
	{ 0x7079bbf1, "vsock_deliver_tap" },
	{ 0x8a1ddd2a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6185e0d1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa7fb16da, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x818f93d5, "sk_error_report" },
	{ 0xe174adae, "trace_event_buffer_commit" },
	{ 0xd355c44f, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa5486312, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x338f71de, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x557cb021, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4afde177, "sk_skb_reason_drop" },
	{ 0x364a32a9, "sk_free" },
	{ 0x40bb6e91, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xa8b4d0c6, "__skb_recv_datagram" },
	{ 0xfa2fa4c9, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2a37cea, "vsock_stream_has_data" },
	{ 0x5cac8358, "skb_copy_datagram_iter" },
	{ 0xc2dc7d53, "bpf_trace_run9" },
	{ 0xf616655f, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x24770459, "sock_efree" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x230e407b, "bpf_trace_run10" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x3f5882c9, "vsock_core_get_transport" },
	{ 0xbc02377f, "__zerocopy_sg_from_iter" },
	{ 0x6d4b48ad, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xae42d8dc, "skb_set_owner_w" },
	{ 0x77296c40, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xffaec88f, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xddf22bee, "msg_zerocopy_realloc" },
	{ 0xdb6e3a75, "kmalloc_trace" },
	{ 0x1466f85e, "vsock_create_connected" },
	{ 0x7d94cbe7, "vsock_assign_transport" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdc68f662, "iov_iter_npages" },
	{ 0x4bac93ff, "kmalloc_caches" },
	{ 0xb6869459, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd0d98352, "vsock_data_ready" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
